Debian Bug report logs - #526983
linux-image-2.6.29-1-amd64: NETDEV WATCHDOG: eth0 (r8169): transmit timed out

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Carlos Fonseca <cmfonsec@ualg.pt>

Date: Mon, 4 May 2009 19:27:01 UTC

Severity: important

Tags: fixed-upstream

Merged with 528362

Found in versions linux-2.6/2.6.35-1~experimental.1, 2.6.30-6, 2.6.29-4, 2.6.26-19, 2.6.26-19lenny2, linux-2.6/2.6.26-20

Forwarded to http://bugzilla.kernel.org/show_bug.cgi?id=14962

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#526983; Package linux-image-2.6.29-1-amd64. (Mon, 04 May 2009 19:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Fonseca <cmfonsec@ualg.pt>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 04 May 2009 19:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Carlos Fonseca <cmfonsec@ualg.pt>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.29-1-amd64: NETDEV WATCHDOG: eth0 (r8169): transmit timed out
Date: Mon, 04 May 2009 22:23:39 +0300
Package: linux-image-2.6.29-1-amd64
Version: 2.6.29-4~snapshot.13461
Severity: important


The network card on my laptop will typically hang with a

NETDEV WATCHDOG: eth0 (r8169): transmit timed out

message sometime after the computer is switched on. Once this happens, suspending to ram and resuming
will bring the network back to life, while preserving connections already established and so on.

Neither unconfiguring the network interface and configuring it again nor removing and reinserting the r8169 module helps.

The problem never seems to happen again after resuming, even under heavy network usage. All previous kernels I have tried
exhibit the same problem. Please see the two separate traces below.

Carlos


Apr 20 14:58:11 moewe kernel: [ 7280.816147] ------------[ cut here ]------------
Apr 20 14:58:11 moewe kernel: [ 7280.816155] WARNING: at /build/linux-2.6-2.6.29/debian/build/source_amd64_none/net/sched/sch_generic.c:226 dev_watchdog+0xc7/0x16a()
Apr 20 14:58:11 moewe kernel: [ 7280.816161] Hardware name: Satellite A110
Apr 20 14:58:11 moewe kernel: [ 7280.816164] NETDEV WATCHDOG: eth0 (r8169): transmit timed out
Apr 20 14:58:11 moewe kernel: [ 7280.816168] Modules linked in: i915 drm i2c_algo_bit rfcomm l2cap bluetooth xt_multiport xt_state autofs4 cpufreq_stats cpufreq_userspace cpufreq_powersave cpufreq_conservative ipv6 ipt_LOG iptable_mangle iptable_filter iptable_nat ip_tables nf_nat x_tables nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 coretemp acpi_cpufreq firewire_sbp2 loop snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm_oss snd_mixer_oss snd_pcm snd_seq_dummy snd_seq_oss snd_seq_midi arc4 snd_rawmidi ecb snd_seq_midi_event snd_seq iwl3945 pcmcia rfkill snd_timer snd_seq_device joydev pcspkr mac80211 i2c_i801 snd i2c_core yenta_socket rsrc_nonstatic psmouse serio_raw rng_core evdev pcmcia_core iTCO_wdt soundcore intel_agp snd_page_alloc lib80211 cfg80211 battery container video output ac button ext3 jbd mbcache dm_mirror dm_region_hash dm_log dm_snapshot dm_mod sg sr_mod cdrom sd_mod crc_t10dif ide_pci_generic ide_core ata_piix ata_generic libata scsi_mod sdhci_pci sdhci mmc_core led_class 
Apr 20 14:58:11 moewe kernel: firewire_ohci firewire_core crc_itu_t ehci_hcd uhci_hcd r8169 mii thermal processor fan thermal_sys
Apr 20 14:58:11 moewe kernel: [ 7280.816330] Pid: 0, comm: swapper Not tainted 2.6.29-1-amd64 #1
Apr 20 14:58:11 moewe kernel: [ 7280.816334] Call Trace:
Apr 20 14:58:11 moewe kernel: [ 7280.816338]  <IRQ>  [<ffffffff80244bad>] warn_slowpath+0xd8/0x112
Apr 20 14:58:11 moewe kernel: [ 7280.816354]  [<ffffffff8040963d>] neigh_lookup+0xbb/0xca
Apr 20 14:58:11 moewe kernel: [ 7280.816362]  [<ffffffff8025b2c3>] sched_clock_cpu+0x10d/0x11c
Apr 20 14:58:11 moewe kernel: [ 7280.816369]  [<ffffffff80239489>] tg_shares_up+0x17f/0x19f
Apr 20 14:58:11 moewe kernel: [ 7280.816376]  [<ffffffff80236ca5>] place_entity+0x70/0x90
Apr 20 14:58:11 moewe kernel: [ 7280.816382]  [<ffffffff8023973c>] enqueue_task_fair+0x21/0x62
Apr 20 14:58:11 moewe kernel: [ 7280.816389]  [<ffffffff8047a8ba>] _spin_lock+0x5/0x7
Apr 20 14:58:11 moewe kernel: [ 7280.816395]  [<ffffffff8023698b>] resched_task+0x2a/0x75
Apr 20 14:58:11 moewe kernel: [ 7280.816401]  [<ffffffff8023e601>] try_to_wake_up+0x1b0/0x1c2
Apr 20 14:58:11 moewe kernel: [ 7280.816408]  [<ffffffff8025705b>] autoremove_wake_function+0x9/0x2e
Apr 20 14:58:11 moewe kernel: [ 7280.816414]  [<ffffffff8047a8ba>] _spin_lock+0x5/0x7
Apr 20 14:58:11 moewe kernel: [ 7280.816419]  [<ffffffff8041424e>] netif_tx_lock+0x59/0x6e
Apr 20 14:58:11 moewe kernel: [ 7280.816425]  [<ffffffff80414263>] dev_watchdog+0x0/0x16a
Apr 20 14:58:11 moewe kernel: [ 7280.816431]  [<ffffffff8041432a>] dev_watchdog+0xc7/0x16a
Apr 20 14:58:11 moewe kernel: [ 7280.816436]  [<ffffffff80238174>] __wake_up+0x30/0x44
Apr 20 14:58:11 moewe kernel: [ 7280.816443]  [<ffffffff80254278>] delayed_work_timer_fn+0x0/0x36
Apr 20 14:58:11 moewe kernel: [ 7280.816449]  [<ffffffff80414263>] dev_watchdog+0x0/0x16a
Apr 20 14:58:11 moewe kernel: [ 7280.816456]  [<ffffffff8024d4cc>] run_timer_softirq+0x198/0x21a
Apr 20 14:58:11 moewe kernel: [ 7280.816463]  [<ffffffff80260e2c>] tick_dev_program_event+0x2d/0x95
Apr 20 14:58:11 moewe kernel: [ 7280.816470]  [<ffffffff80260810>] tick_handle_oneshot_broadcast+0xf8/0x106
Apr 20 14:58:11 moewe kernel: [ 7280.816477]  [<ffffffff80249b50>] __do_softirq+0x83/0x14b
Apr 20 14:58:11 moewe kernel: [ 7280.816484]  [<ffffffff802143ce>] timer_interrupt+0x1a/0x21
Apr 20 14:58:11 moewe kernel: [ 7280.816490]  [<ffffffff8021241c>] call_softirq+0x1c/0x30
Apr 20 14:58:11 moewe kernel: [ 7280.816495]  [<ffffffff80213b84>] do_softirq+0x3c/0x85
Apr 20 14:58:11 moewe kernel: [ 7280.816501]  [<ffffffff802498eb>] irq_exit+0x3f/0x7f
Apr 20 14:58:11 moewe kernel: [ 7280.816506]  [<ffffffff80213df3>] do_IRQ+0xb6/0xd7
Apr 20 14:58:11 moewe kernel: [ 7280.816512]  [<ffffffff80211b93>] ret_from_intr+0x0/0x29
Apr 20 14:58:11 moewe kernel: [ 7280.816515]  <EOI>  [<ffffffffa00124f5>] acpi_idle_enter_bm+0x297/0x2e4 [processor]
Apr 20 14:58:11 moewe kernel: [ 7280.816553]  [<ffffffffa00124ed>] acpi_idle_enter_bm+0x28f/0x2e4 [processor]
Apr 20 14:58:11 moewe kernel: [ 7280.816561]  [<ffffffff803eecf6>] cpuidle_idle_call+0x8b/0xc9
Apr 20 14:58:11 moewe kernel: [ 7280.816569]  [<ffffffff802101b7>] cpu_idle+0x51/0x92
Apr 20 14:58:11 moewe kernel: [ 7280.816574] ---[ end trace 451e9f0d5c67d66d ]---
Apr 20 14:58:11 moewe kernel: [ 7280.832204] r8169: eth0: link up

May  4 21:28:27 moewe kernel: [ 1523.816090] ------------[ cut here ]------------
May  4 21:28:27 moewe kernel: [ 1523.816099] WARNING: at /build/linux-2.6-2.6.29/debian/build/source_amd64_none/net/sched/sch_generic.c:226 dev_watchdog+0xc7/0x16a()
May  4 21:28:27 moewe kernel: [ 1523.816105] Hardware name: Satellite A110
May  4 21:28:27 moewe kernel: [ 1523.816108] NETDEV WATCHDOG: eth0 (r8169): transmit timed out
May  4 21:28:27 moewe kernel: [ 1523.816111] Modules linked in: i915 drm i2c_algo_bit rfcomm l2cap bluetooth xt_multiport xt_state autofs4 cpufreq_stats cpufreq_userspace cpufreq_powersave cpufreq_conservative ipv6 ipt_LOG iptable_mangle iptable_filter iptable_nat ip_tables nf_nat x_tables nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 coretemp acpi_cpufreq firewire_sbp2 loop snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm_oss snd_mixer_oss snd_pcm snd_seq_dummy arc4 ecb snd_seq_oss snd_seq_midi snd_rawmidi pcmcia iwl3945 snd_seq_midi_event snd_seq rfkill mac80211 snd_timer snd_seq_device psmouse joydev rng_core i2c_i801 yenta_socket pcspkr serio_raw evdev i2c_core rsrc_nonstatic pcmcia_core iTCO_wdt lib80211 snd cfg80211 soundcore intel_agp snd_page_alloc battery container video output ac button ext3 jbd mbcache dm_mirror dm_region_hash dm_log dm_snapshot dm_mod sg sr_mod cdrom sd_mod crc_t10dif ide_pci_generic ide_core ata_piix ata_generic libata scsi_mod sdhci_pci sdhci mmc_core led_class 
May  4 21:28:27 moewe kernel: firewire_ohci firewire_core crc_itu_t ehci_hcd r8169 uhci_hcd mii thermal processor fan thermal_sys
May  4 21:28:27 moewe kernel: [ 1523.816274] Pid: 0, comm: swapper Not tainted 2.6.29-1-amd64 #1
May  4 21:28:27 moewe kernel: [ 1523.816278] Call Trace:
May  4 21:28:27 moewe kernel: [ 1523.816281]  <IRQ>  [<ffffffff80244bad>] warn_slowpath+0xd8/0x112
May  4 21:28:27 moewe kernel: [ 1523.816297]  [<ffffffff8023877d>] check_preempt_wakeup+0x160/0x1ae
May  4 21:28:27 moewe kernel: [ 1523.816304]  [<ffffffff8023698b>] resched_task+0x2a/0x75
May  4 21:28:27 moewe kernel: [ 1523.816310]  [<ffffffff8023e601>] try_to_wake_up+0x1b0/0x1c2
May  4 21:28:27 moewe kernel: [ 1523.816317]  [<ffffffff8047a8ba>] _spin_lock+0x5/0x7
May  4 21:28:27 moewe kernel: [ 1523.816325]  [<ffffffff8025b2c3>] sched_clock_cpu+0x10d/0x11c
May  4 21:28:27 moewe kernel: [ 1523.816331]  [<ffffffff80239489>] tg_shares_up+0x17f/0x19f
May  4 21:28:27 moewe kernel: [ 1523.816338]  [<ffffffff80236ca5>] place_entity+0x70/0x90
May  4 21:28:27 moewe kernel: [ 1523.816344]  [<ffffffff8023973c>] enqueue_task_fair+0x21/0x62
May  4 21:28:27 moewe kernel: [ 1523.816349]  [<ffffffff8047a8ba>] _spin_lock+0x5/0x7
May  4 21:28:27 moewe kernel: [ 1523.816355]  [<ffffffff8023698b>] resched_task+0x2a/0x75
May  4 21:28:27 moewe kernel: [ 1523.816361]  [<ffffffff8023e601>] try_to_wake_up+0x1b0/0x1c2
May  4 21:28:27 moewe kernel: [ 1523.816368]  [<ffffffff8025705b>] autoremove_wake_function+0x9/0x2e
May  4 21:28:27 moewe kernel: [ 1523.816374]  [<ffffffff8047a8ba>] _spin_lock+0x5/0x7
May  4 21:28:27 moewe kernel: [ 1523.816380]  [<ffffffff8041424e>] netif_tx_lock+0x59/0x6e
May  4 21:28:27 moewe kernel: [ 1523.816385]  [<ffffffff80414263>] dev_watchdog+0x0/0x16a
May  4 21:28:27 moewe kernel: [ 1523.816391]  [<ffffffff8041432a>] dev_watchdog+0xc7/0x16a
May  4 21:28:27 moewe kernel: [ 1523.816396]  [<ffffffff80238174>] __wake_up+0x30/0x44
May  4 21:28:27 moewe kernel: [ 1523.816404]  [<ffffffff80254278>] delayed_work_timer_fn+0x0/0x36
May  4 21:28:27 moewe kernel: [ 1523.816409]  [<ffffffff80414263>] dev_watchdog+0x0/0x16a
May  4 21:28:27 moewe kernel: [ 1523.816416]  [<ffffffff8024d4cc>] run_timer_softirq+0x198/0x21a
May  4 21:28:27 moewe kernel: [ 1523.816423]  [<ffffffff80260e2c>] tick_dev_program_event+0x2d/0x95
May  4 21:28:27 moewe kernel: [ 1523.816434]  [<ffffffff80260810>] tick_handle_oneshot_broadcast+0xf8/0x106
May  4 21:28:27 moewe kernel: [ 1523.816441]  [<ffffffff80249b50>] __do_softirq+0x83/0x14b
May  4 21:28:27 moewe kernel: [ 1523.816448]  [<ffffffff802143ce>] timer_interrupt+0x1a/0x21
May  4 21:28:27 moewe kernel: [ 1523.816454]  [<ffffffff8021241c>] call_softirq+0x1c/0x30
May  4 21:28:27 moewe kernel: [ 1523.816460]  [<ffffffff80213b84>] do_softirq+0x3c/0x85
May  4 21:28:27 moewe kernel: [ 1523.816466]  [<ffffffff802498eb>] irq_exit+0x3f/0x7f
May  4 21:28:27 moewe kernel: [ 1523.816471]  [<ffffffff80213df3>] do_IRQ+0xb6/0xd7
May  4 21:28:27 moewe kernel: [ 1523.816477]  [<ffffffff80211b93>] ret_from_intr+0x0/0x29
May  4 21:28:27 moewe kernel: [ 1523.816480]  <EOI>  [<ffffffffa00124f5>] acpi_idle_enter_bm+0x297/0x2e4 [processor]
May  4 21:28:27 moewe kernel: [ 1523.816512]  [<ffffffffa00124ed>] acpi_idle_enter_bm+0x28f/0x2e4 [processor]
May  4 21:28:27 moewe kernel: [ 1523.816521]  [<ffffffff803eecf6>] cpuidle_idle_call+0x8b/0xc9
May  4 21:28:27 moewe kernel: [ 1523.816528]  [<ffffffff802101b7>] cpu_idle+0x51/0x92
May  4 21:28:27 moewe kernel: [ 1523.816533] ---[ end trace 17b0bc0507f009b6 ]---
May  4 21:28:27 moewe kernel: [ 1523.832166] r8169: eth0: link up



-- Package-specific info:
** Version:
Linux version 2.6.29-1-amd64 (Debian 2.6.29-4~snapshot.13461) (waldi@debian.org) (gcc version 4.3.3 (GCC) ) #1 SMP Tue Apr 21 01:54:11 UTC 2009

** Command line:
root=/dev/sda2 ro 

** Tainted: G W (512)

** Kernel log:
[ 1552.381653] yenta_cardbus 0000:06:04.0: restoring config space at offset 0xc (was 0x0, writing 0x54fc)
[ 1552.381653] yenta_cardbus 0000:06:04.0: restoring config space at offset 0xb (was 0x0, writing 0x5400)
[ 1552.381653] yenta_cardbus 0000:06:04.0: restoring config space at offset 0xa (was 0x0, writing 0x57fff000)
[ 1552.381653] yenta_cardbus 0000:06:04.0: restoring config space at offset 0x9 (was 0x0, writing 0x54000000)
[ 1552.381653] yenta_cardbus 0000:06:04.0: restoring config space at offset 0x8 (was 0x0, writing 0x53fff000)
[ 1552.381653] yenta_cardbus 0000:06:04.0: restoring config space at offset 0x7 (was 0x0, writing 0x50000000)
[ 1552.381653] yenta_cardbus 0000:06:04.0: restoring config space at offset 0x6 (was 0x20070706, writing 0xb00a0706)
[ 1552.381653] yenta_cardbus 0000:06:04.0: restoring config space at offset 0x3 (was 0x824008, writing 0x82a820)
[ 1552.381653] pci 0000:06:04.1: restoring config space at offset 0xf (was 0x40102ff, writing 0x401020a)
[ 1552.381653] pci 0000:06:04.1: restoring config space at offset 0x4 (was 0x0, writing 0xdc001800)
[ 1552.381653] pci 0000:06:04.1: restoring config space at offset 0x3 (was 0x800000, writing 0x802010)
[ 1552.381653] pci 0000:06:04.1: restoring config space at offset 0x1 (was 0x2100000, writing 0x2100006)
[ 1552.381653] sdhci-pci 0000:06:04.2: restoring config space at offset 0xf (was 0x482002ff, writing 0x4820020a)
[ 1552.381653] sdhci-pci 0000:06:04.2: restoring config space at offset 0x4 (was 0x0, writing 0xdc001c00)
[ 1552.381653] sdhci-pci 0000:06:04.2: restoring config space at offset 0x3 (was 0x800000, writing 0x802010)
[ 1552.381653] sdhci-pci 0000:06:04.2: restoring config space at offset 0x1 (was 0x2100000, writing 0x2100006)
[ 1552.381653] pci 0000:06:04.3: restoring config space at offset 0xf (was 0x40102ff, writing 0x401020a)
[ 1552.381653] pci 0000:06:04.3: restoring config space at offset 0x4 (was 0x0, writing 0xdc002000)
[ 1552.381653] pci 0000:06:04.3: restoring config space at offset 0x3 (was 0x800000, writing 0x802010)
[ 1552.381653] pci 0000:06:04.3: restoring config space at offset 0x1 (was 0x2100000, writing 0x2100006)
[ 1552.381653] sdhci-pci 0000:06:04.4: restoring config space at offset 0x4 (was 0x0, writing 0xdc001900)
[ 1552.381653] sdhci-pci 0000:06:04.4: restoring config space at offset 0x1 (was 0x2100000, writing 0x2100002)
[ 1552.381653] Enabling non-boot CPUs ...
[ 1552.381653] SMP alternatives: switching to SMP code
[ 1552.550432] Booting processor 1 APIC 0x1 ip 0x6000
[ 1552.381167] Initializing CPU#1
[ 1552.381167] Calibrating delay using timer specific routine.. 3325.22 BogoMIPS (lpj=6650447)
[ 1552.381167] CPU: L1 I cache: 32K, L1 D cache: 32K
[ 1552.381167] CPU: L2 cache: 2048K
[ 1552.381167] [ds] using Core 2/Atom configuration
[ 1552.381167] CPU 1/0x1 -> Node 0
[ 1552.381167] CPU: Physical Processor ID: 0
[ 1552.381167] CPU: Processor Core ID: 1
[ 1552.381167] CPU1: Thermal monitoring handled by SMI
[ 1552.644528] CPU1: Intel(R) Core(TM)2 CPU         T5500  @ 1.66GHz stepping 06
[ 1552.644567] CPU0 attaching NULL sched-domain.
[ 1552.645016] Switched to high resolution mode on CPU 1
[ 1552.656901] CPU0 attaching sched-domain:
[ 1552.656904]  domain 0: span 0-1 level MC
[ 1552.656906]   groups: 0 1
[ 1552.656911] CPU1 attaching sched-domain:
[ 1552.656913]  domain 0: span 0-1 level MC
[ 1552.656915]   groups: 1 0
[ 1552.660029] CPU1 is up
[ 1552.660032] ACPI: Waking up from system sleep state S3
[ 1552.812449] agpgart-intel 0000:00:00.0: restoring config space at offset 0x1 (was 0x900106, writing 0x60900106)
[ 1552.815289] pci 0000:00:02.0: PME# disabled
[ 1552.815295] pci 0000:00:02.1: PME# disabled
[ 1552.815324] HDA Intel 0000:00:1b.0: restoring config space at offset 0xb (was 0x0, writing 0xff011179)
[ 1552.815362] HDA Intel 0000:00:1b.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
[ 1552.815369] HDA Intel 0000:00:1b.0: setting latency timer to 64
[ 1552.901926] pcieport-driver 0000:00:1c.0: setting latency timer to 64
[ 1552.901937] pcieport-driver 0000:00:1c.1: setting latency timer to 64
[ 1552.901951] pcieport-driver 0000:00:1c.2: setting latency timer to 64
[ 1552.902000] uhci_hcd 0000:00:1d.0: PCI INT A -> GSI 23 (level, low) -> IRQ 23
[ 1552.902012] uhci_hcd 0000:00:1d.0: setting latency timer to 64
[ 1552.902039] usb usb1: root hub lost power or was reset
[ 1552.902101] uhci_hcd 0000:00:1d.1: PCI INT B -> GSI 19 (level, low) -> IRQ 19
[ 1552.902109] uhci_hcd 0000:00:1d.1: setting latency timer to 64
[ 1552.902139] usb usb2: root hub lost power or was reset
[ 1552.902200] uhci_hcd 0000:00:1d.2: PCI INT C -> GSI 18 (level, low) -> IRQ 18
[ 1552.902208] uhci_hcd 0000:00:1d.2: setting latency timer to 64
[ 1552.902235] usb usb3: root hub lost power or was reset
[ 1552.902284] uhci_hcd 0000:00:1d.3: PCI INT D -> GSI 16 (level, low) -> IRQ 16
[ 1552.902291] uhci_hcd 0000:00:1d.3: setting latency timer to 64
[ 1552.902318] usb usb4: root hub lost power or was reset
[ 1552.902385] ehci_hcd 0000:00:1d.7: PME# disabled
[ 1552.902390] ehci_hcd 0000:00:1d.7: PCI INT A -> GSI 23 (level, low) -> IRQ 23
[ 1552.902398] ehci_hcd 0000:00:1d.7: setting latency timer to 64
[ 1552.902406] ehci_hcd 0000:00:1d.7: PME# disabled
[ 1552.902419] pci 0000:00:1e.0: setting latency timer to 64
[ 1552.902458] ata_piix 0000:00:1f.2: restoring config space at offset 0x1 (was 0x2b00005, writing 0x2b80005)
[ 1552.902476] ata_piix 0000:00:1f.2: PCI INT B -> GSI 19 (level, low) -> IRQ 19
[ 1552.902482] ata_piix 0000:00:1f.2: setting latency timer to 64
[ 1552.902607] r8169 0000:05:00.0: restoring config space at offset 0x1 (was 0x100407, writing 0x20100407)
[ 1552.902685] r8169 0000:05:00.0: PME# disabled
[ 1552.916164] r8169: eth0: link up
[ 1552.980152] firewire_core: skipped bus generations, destroying all nodes
[ 1553.068652] ata2.00: ACPI cmd ef/03:0c:00:00:00:a0 filtered out
[ 1553.068656] ata2.00: ACPI cmd ef/03:42:00:00:00:a0 filtered out
[ 1553.084651] ata2.00: configured for UDMA/33
[ 1553.120122] pci 0000:06:04.1: PME# disabled
[ 1553.120185] sdhci-pci 0000:06:04.2: PCI INT B -> GSI 17 (level, low) -> IRQ 17
[ 1553.120209] pci 0000:06:04.3: PME# disabled
[ 1553.120280] sdhci-pci 0000:06:04.4: PCI INT B -> GSI 17 (level, low) -> IRQ 17
[ 1553.156164] sd 0:0:0:0: [sda] Starting disk
[ 1553.480176] firewire_core: rediscovered device fw0
[ 1554.408490] ata1.00: ACPI cmd ef/03:0c:00:00:00:a0 filtered out
[ 1554.408495] ata1.00: ACPI cmd ef/03:45:00:00:00:a0 filtered out
[ 1554.424856] ata1.00: configured for UDMA/100
[ 1554.434415] sd 0:0:0:0: [sda] 234441648 512-byte hardware sectors: (120 GB/111 GiB)
[ 1554.434454] sd 0:0:0:0: [sda] Write Protect is off
[ 1554.434458] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[ 1554.434504] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 1554.434659] pci 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[ 1554.434667] pci 0000:00:02.0: setting latency timer to 64
[ 1554.440588] Restarting tasks ... done.
[ 2829.066262] IN=eth0 OUT= MAC= SRC=192.168.9.6 DST=224.0.0.251 LEN=70 TOS=0x00 PREC=0x00 TTL=255 ID=0 DF PROTO=UDP SPT=5353 DPT=5353 LEN=50 
[ 2830.068092] IN=eth0 OUT= MAC= SRC=192.168.9.6 DST=224.0.0.251 LEN=70 TOS=0x00 PREC=0x00 TTL=255 ID=0 DF PROTO=UDP SPT=5353 DPT=5353 LEN=50 
[ 2832.070870] IN=eth0 OUT= MAC= SRC=192.168.9.6 DST=224.0.0.251 LEN=70 TOS=0x00 PREC=0x00 TTL=255 ID=0 DF PROTO=UDP SPT=5353 DPT=5353 LEN=50 

** Loaded modules:
Module                  Size  Used by
i915                  147960  2 
drm                   168128  3 i915
i2c_algo_bit            5956  1 i915
rfcomm                 35088  2 
l2cap                  19968  9 rfcomm
bluetooth              53860  4 rfcomm,l2cap
xt_multiport            3184  1 
xt_state                2368  2 
autofs4                26712  0 
cpufreq_stats           4836  0 
cpufreq_userspace       3700  0 
cpufreq_powersave       1760  0 
cpufreq_conservative     7224  2 
ipv6                  283648  28 
ipt_LOG                 5556  4 
iptable_mangle          4000  0 
iptable_filter          3744  1 
iptable_nat             6176  0 
ip_tables              17024  3 iptable_mangle,iptable_filter,iptable_nat
nf_nat                 19956  1 iptable_nat
x_tables               21800  5 xt_multiport,xt_state,ipt_LOG,iptable_nat,ip_tables
nf_conntrack_ipv4      14664  5 iptable_nat,nf_nat
nf_conntrack           69984  4 xt_state,iptable_nat,nf_nat,nf_conntrack_ipv4
nf_defrag_ipv4          2256  1 nf_conntrack_ipv4
coretemp                6656  0 
acpi_cpufreq            8192  0 
firewire_sbp2          15040  0 
loop                   15276  0 
snd_hda_codec_realtek   243380  1 
snd_hda_intel          26488  0 
snd_hda_codec          69648  2 snd_hda_codec_realtek,snd_hda_intel
snd_hwdep               7864  1 snd_hda_codec
snd_pcm_oss            36448  0 
snd_mixer_oss          14576  1 snd_pcm_oss
snd_pcm                78776  3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_seq_dummy           3108  0 
arc4                    2016  2 
ecb                     3040  2 
snd_seq_oss            29168  0 
snd_seq_midi            6672  0 
snd_rawmidi            22896  1 snd_seq_midi
pcmcia                 27416  0 
iwl3945                80104  0 
snd_seq_midi_event      7504  2 snd_seq_oss,snd_seq_midi
snd_seq                50768  7 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_seq_midi_event
rfkill                 11860  2 iwl3945
mac80211              151368  1 iwl3945
snd_timer              22240  2 snd_pcm,snd_seq
snd_seq_device          7428  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_rawmidi,snd_seq
psmouse                41516  0 
joydev                 10944  0 
rng_core                4744  0 
i2c_i801                9840  0 
yenta_socket           24924  1 
pcspkr                  2768  0 
serio_raw               5780  0 
evdev                  10496  11 
i2c_core               25152  4 i915,drm,i2c_algo_bit,i2c_i801
rsrc_nonstatic          9952  1 yenta_socket
pcmcia_core            36500  3 pcmcia,yenta_socket,rsrc_nonstatic
iTCO_wdt               12400  0 
lib80211                7412  1 iwl3945
snd                    63192  13 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_seq_oss,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
cfg80211               38928  2 iwl3945,mac80211
soundcore               7984  1 snd
intel_agp              28240  1 
snd_page_alloc          9760  2 snd_hda_intel,snd_pcm
battery                 7600  0 
container               4080  0 
video                  19972  0 
output                  3328  1 video
ac                      3760  0 
button                  7280  0 
ext3                  122464  2 
jbd                    50184  1 ext3
mbcache                 9140  1 ext3
dm_mirror              14000  0 
dm_region_hash         12656  1 dm_mirror
dm_log                 10116  2 dm_mirror,dm_region_hash
dm_snapshot            17464  0 
dm_mod                 58032  3 dm_mirror,dm_log,dm_snapshot
sg                     22920  0 
sr_mod                 15348  0 
cdrom                  33592  1 sr_mod
sd_mod                 32616  4 
crc_t10dif              2064  1 sd_mod
ide_pci_generic         4628  0 
ide_core              108724  1 ide_pci_generic
ata_piix               24228  3 
ata_generic             5876  0 
libata                172700  2 ata_piix,ata_generic
scsi_mod              158832  5 firewire_sbp2,sg,sr_mod,sd_mod,libata
sdhci_pci               7856  0 
sdhci                  16852  1 sdhci_pci
mmc_core               52320  1 sdhci
led_class               4760  2 iwl3945,sdhci
firewire_ohci          21988  0 
firewire_core          39716  2 firewire_sbp2,firewire_ohci
crc_itu_t               2288  1 firewire_core
ehci_hcd               33852  0 
r8169                  32244  0 
uhci_hcd               22368  0 
mii                     5568  1 r8169
thermal                18848  0 
processor              45384  4 acpi_cpufreq,thermal
fan                     5304  0 
thermal_sys            13104  4 video,thermal,processor,fan

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub [8086:27a0] (rev 03)
	Subsystem: Toshiba America Info Systems Device [1179:ff00]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel
	Kernel modules: intel-agp

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller [8086:27a2] (rev 03) (prog-if 00 [VGA controller])
	Subsystem: Toshiba America Info Systems Device [1179:ff01]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at dc100000 (32-bit, non-prefetchable) [size=512K]
	Region 1: I/O ports at 1800 [size=8]
	Region 2: Memory at c0000000 (32-bit, prefetchable) [size=256M]
	Region 3: Memory at dc200000 (32-bit, non-prefetchable) [size=256K]
	Capabilities: <access denied>
	Kernel modules: intelfb

00:02.1 Display controller [0380]: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller [8086:27a6] (rev 03)
	Subsystem: Toshiba America Info Systems Device [1179:ff01]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at dc180000 (32-bit, non-prefetchable) [size=512K]
	Capabilities: <access denied>

00:1b.0 Audio device [0403]: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller [8086:27d8] (rev 02)
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 22
	Region 0: Memory at dc440000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

00:1c.0 PCI bridge [0604]: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 [8086:27d0] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: d6000000-d7ffffff
	Prefetchable memory behind bridge: 00000000d0000000-00000000d1ffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:1c.1 PCI bridge [0604]: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 [8086:27d2] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: d8000000-d9ffffff
	Prefetchable memory behind bridge: 00000000d2000000-00000000d3ffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:1c.2 PCI bridge [0604]: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3 [8086:27d4] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=0
	I/O behind bridge: 00004000-00004fff
	Memory behind bridge: da000000-dbffffff
	Prefetchable memory behind bridge: 00000000d4000000-00000000d5ffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:1d.0 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 [8086:27c8] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Toshiba America Info Systems Device [1179:ff00]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 4: I/O ports at 1820 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 [8086:27c9] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Toshiba America Info Systems Device [1179:ff00]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 4: I/O ports at 1840 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1d.2 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 [8086:27ca] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Toshiba America Info Systems Device [1179:ff00]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 4: I/O ports at 1860 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1d.3 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 [8086:27cb] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Toshiba America Info Systems Device [1179:ff00]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 16
	Region 4: I/O ports at 1880 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1d.7 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller [8086:27cc] (rev 02) (prog-if 20 [EHCI])
	Subsystem: Toshiba America Info Systems Device [1179:ff00]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at dc444000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev e2) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=06, subordinate=0a, sec-latency=32
	I/O behind bridge: 00005000-00005fff
	Memory behind bridge: dc000000-dc0fffff
	Prefetchable memory behind bridge: 0000000050000000-0000000053ffffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR+
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge [8086:27b9] (rev 02)
	Subsystem: Toshiba America Info Systems Device [1179:ff00]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel modules: intel-rng, iTCO_wdt

00:1f.2 IDE interface [0101]: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller [8086:27c4] (rev 02) (prog-if 80 [Master])
	Subsystem: Toshiba America Info Systems Device [1179:ff00]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at 18b0 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: ata_piix
	Kernel modules: ata_generic, ata_piix, ide-pci-generic

00:1f.3 SMBus [0c05]: Intel Corporation 82801G (ICH7 Family) SMBus Controller [8086:27da] (rev 02)
	Subsystem: Toshiba America Info Systems Device [1179:ff00]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 19
	Region 4: I/O ports at 18c0 [size=32]
	Kernel driver in use: i801_smbus
	Kernel modules: i2c-i801

04:00.0 Network controller [0280]: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection [8086:4222] (rev 02)
	Subsystem: Intel Corporation Device [8086:1041]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at d8000000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: iwl3945
	Kernel modules: iwl3945

05:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller [10ec:8136] (rev 01)
	Subsystem: Toshiba America Info Systems Device [1179:ff00]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 27
	Region 0: I/O ports at 4000 [size=256]
	Region 2: Memory at da000000 (64-bit, non-prefetchable) [size=4K]
	[virtual] Expansion ROM at d4000000 [disabled] [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: r8169
	Kernel modules: r8169

06:00.0 FireWire (IEEE 1394) [0c00]: VIA Technologies, Inc. VT6306 Fire II IEEE 1394 OHCI Link Layer Controller [1106:3044] (rev c0) (prog-if 10 [OHCI])
	Subsystem: Toshiba America Info Systems Device [1179:ff00]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (8000ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 20
	Region 0: Memory at dc001000 (32-bit, non-prefetchable) [size=2K]
	Region 1: I/O ports at 5000 [size=128]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci
	Kernel modules: firewire-ohci

06:04.0 CardBus bridge [0607]: ENE Technology Inc CB-712/4 Cardbus Controller [1524:1412] (rev 10)
	Subsystem: Toshiba America Info Systems Device [1179:ff01]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 168, Cache Line Size: 128 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at dc000000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=06, secondary=07, subordinate=0a, sec-latency=176
	Memory window 0: 50000000-53fff000 (prefetchable)
	Memory window 1: 54000000-57fff000
	I/O window 0: 00005400-000054ff
	I/O window 1: 00005800-000058ff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt+ PostWrite+
	16-bit legacy interface ports at 0001
	Kernel driver in use: yenta_cardbus
	Kernel modules: yenta_socket

06:04.1 FLASH memory [0501]: ENE Technology Inc ENE PCI Memory Stick Card Reader Controller [1524:0530] (rev 01)
	Subsystem: Toshiba America Info Systems Device [1179:ff01]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (250ns min, 1000ns max), Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 10
	Region 0: Memory at dc001800 (32-bit, non-prefetchable) [size=128]
	Capabilities: <access denied>

06:04.2 SD Host controller [0805]: ENE Technology Inc ENE PCI Secure Digital Card Reader Controller [1524:0550] (rev 01) (prog-if 01)
	Subsystem: Toshiba America Info Systems Device [1179:ff02]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (8000ns min, 18000ns max), Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at dc001c00 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: sdhci-pci
	Kernel modules: sdhci-pci

06:04.3 FLASH memory [0501]: ENE Technology Inc FLASH memory: ENE Technology Inc: [1524:0520] (rev 01)
	Subsystem: Toshiba America Info Systems Device [1179:ff01]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (250ns min, 1000ns max), Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 10
	Region 0: Memory at dc002000 (32-bit, non-prefetchable) [size=128]
	Capabilities: <access denied>

06:04.4 FLASH memory [0501]: ENE Technology Inc SD/MMC Card Reader Controller [1524:0551] (rev 01)
	Subsystem: Toshiba America Info Systems Device [1179:ff02]
	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at dc001900 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: sdhci-pci
	Kernel modules: sdhci-pci



-- System Information:
Debian Release: 5.0.1
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.29-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=pt_PT (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.29-1-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.24     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.92o      tools for generating an initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

linux-image-2.6.29-1-amd64 recommends no packages.

Versions of packages linux-image-2.6.29-1-amd64 suggests:
ii  grub              0.97-47lenny2          GRand Unified Bootloader (Legacy v
ii  linux-doc-2.6.29  2.6.29-4snapshot.13535 Linux kernel specific documentatio

-- debconf information:
  linux-image-2.6.29-1-amd64/preinst/overwriting-modules-2.6.29-1-amd64: true
  linux-image-2.6.29-1-amd64/preinst/failed-to-move-modules-2.6.29-1-amd64:
  linux-image-2.6.29-1-amd64/postinst/old-dir-initrd-link-2.6.29-1-amd64: true
  linux-image-2.6.29-1-amd64/prerm/removing-running-kernel-2.6.29-1-amd64: true
  linux-image-2.6.29-1-amd64/postinst/create-kimage-link-2.6.29-1-amd64: true
  linux-image-2.6.29-1-amd64/preinst/initrd-2.6.29-1-amd64:
  linux-image-2.6.29-1-amd64/postinst/kimage-is-a-directory:
  linux-image-2.6.29-1-amd64/preinst/abort-install-2.6.29-1-amd64:
  linux-image-2.6.29-1-amd64/postinst/old-system-map-link-2.6.29-1-amd64: true
  linux-image-2.6.29-1-amd64/preinst/lilo-initrd-2.6.29-1-amd64: true
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.29-1-amd64/postinst/bootloader-test-error-2.6.29-1-amd64:
  linux-image-2.6.29-1-amd64/preinst/lilo-has-ramdisk:
  linux-image-2.6.29-1-amd64/preinst/elilo-initrd-2.6.29-1-amd64: true
  linux-image-2.6.29-1-amd64/postinst/old-initrd-link-2.6.29-1-amd64: true
  linux-image-2.6.29-1-amd64/postinst/depmod-error-2.6.29-1-amd64: false
  linux-image-2.6.29-1-amd64/postinst/depmod-error-initrd-2.6.29-1-amd64: false
  linux-image-2.6.29-1-amd64/preinst/abort-overwrite-2.6.29-1-amd64:
  linux-image-2.6.29-1-amd64/postinst/bootloader-error-2.6.29-1-amd64:
  linux-image-2.6.29-1-amd64/prerm/would-invalidate-boot-loader-2.6.29-1-amd64: true
  linux-image-2.6.29-1-amd64/preinst/bootloader-initrd-2.6.29-1-amd64: true




Bug reassigned from package `linux-image-2.6.29-1-amd64' to `linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sun, 10 May 2009 07:21:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#526983; Package linux-2.6. (Sat, 25 Jul 2009 13:12:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 25 Jul 2009 13:12:14 GMT) Full text and rfc822 format available.

Message #12 received at 526983@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Carlos Fonseca <cmfonsec@ualg.pt>
Cc: 526983@bugs.debian.org
Subject: Re: linux-image-2.6.29-1-amd64: NETDEV WATCHDOG: eth0 (r8169): transmit timed out
Date: Sat, 25 Jul 2009 11:56:38 +0200
On Mon, May 04, 2009 at 10:23:39PM +0300, Carlos Fonseca wrote:
> Package: linux-image-2.6.29-1-amd64
> Version: 2.6.29-4~snapshot.13461
> Severity: important
> 
> 
> The network card on my laptop will typically hang with a
> 
> NETDEV WATCHDOG: eth0 (r8169): transmit timed out
> 
> message sometime after the computer is switched on. Once this happens, suspending to ram and resuming
> will bring the network back to life, while preserving connections already established and so on.
> 
> Neither unconfiguring the network interface and configuring it again nor removing and reinserting the r8169 module helps.
> 
> The problem never seems to happen again after resuming, even under heavy network usage. All previous kernels I have tried
> exhibit the same problem. Please see the two separate traces below.

Looking at the commits for r8169.c, several look like they could've
fixed this. Could you try 2.6.30 from unstable?

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#526983; Package linux-2.6. (Sat, 25 Jul 2009 17:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Fonseca <cmfonsec@ualg.pt>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 25 Jul 2009 17:24:06 GMT) Full text and rfc822 format available.

Message #17 received at 526983@bugs.debian.org (full text, mbox):

From: Carlos Fonseca <cmfonsec@ualg.pt>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: 526983@bugs.debian.org
Subject: Re: linux-image-2.6.29-1-amd64: NETDEV WATCHDOG: eth0 (r8169): transmit timed out
Date: Sat, 25 Jul 2009 18:18:45 +0100 (WEST)
[Message part 1 (text/plain, inline)]
On Sat, 25 Jul 2009, Moritz Muehlenhoff wrote:

> Looking at the commits for r8169.c, several look like they could've
> fixed this. Could you try 2.6.30 from unstable?
>
> Cheers,
>        Moritz

I have been using the kernels from

http://kernel-archive.buildserver.net/debian-kernel

and it continues to happen. I have also upgraded the BIOS in the meantime, 
but the only difference is that now, *sometimes*, the interface comes back 
to life shortly after the oops. Sometimes, it doesn't.

The oops below happened with kernel 2.6.30-4~snapshot.13990. The 
interface did come back afterwards, so I did not have to suspend/resume, 
but this is *not* always the case.

[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 2.6.30-1-amd64 (Debian 2.6.30-4~snapshot.13990) (waldi@debian.org) (gcc version 4.3.3 (GCC) ) #1 SMP Thu Jul 23 02:29:33 UTC 2009
...
[   88.642173] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
[  321.366720] ACPI: EC: GPE storm detected, transactions will use polling mode
[  321.865126] ACPI: EC: missing confirmations, switch off interrupt mode.
[  384.804112] ------------[ cut here ]------------
[  384.804132] WARNING: at /build/linux-2.6-2.6.30/debian/build/source_amd64_none/net/sched/sch_generic.c:226 dev_watchdog+0xc7/0x164()
[  384.804138] Hardware name: Satellite A110
[  384.804141] NETDEV WATCHDOG: eth0 (r8169): transmit timed out
[  384.804145] Modules linked in: i915 drm i2c_algo_bit bridge stp bnep sco rfcomm l2cap bluetooth xt_multiport xt_state autofs4 cpufreq_stats cpufreq_userspace cpufreq_powersave cpufreq_conservative ipt_LOG iptable_mangle iptable_filter iptable_nat ip_tables nf_nat x_tables nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 pcspkr coretemp acpi_cpufreq firewire_sbp2 loop snd_hda_codec_realtek snd_hda_intel snd_hda_codec pcmcia arc4 snd_hwdep snd_pcm_oss snd_mixer_oss ecb snd_pcm yenta_socket rsrc_nonstatic joydev pcmcia_core evdev psmouse snd_seq_midi i2c_i801 serio_raw i2c_core iwl3945 iwlcore rng_core snd_rawmidi iTCO_wdt rfkill mac80211 snd_seq_midi_event video output battery snd_seq snd_timer snd_seq_device cfg80211 container snd ac button processor soundcore snd_page_alloc intel_agp ext3 jbd mbcache dm_mirror dm_region_hash dm_log dm_snapshot dm_mod sg sr_mod cdrom sd_mod crc_t10dif ide_pci_generic ide_core ata_piix ata_generic libata r8169 mii sdhci_pci sdhci mmc_core led_class scsi_mod firewire_ohci firewire_core crc_itu_t uhci_hcd thermal fan thermal_sys ehci_hcd
[  384.804318] Pid: 0, comm: swapper Not tainted 2.6.30-1-amd64 #1
[  384.804322] Call Trace:
[  384.804326]  <IRQ>  [<ffffffff8042330e>] ? dev_watchdog+0xc7/0x164
[  384.804341]  [<ffffffff8042330e>] ? dev_watchdog+0xc7/0x164
[  384.804350]  [<ffffffff8024239f>] ? warn_slowpath_common+0x77/0xa3
[  384.804357]  [<ffffffff80423247>] ? dev_watchdog+0x0/0x164
[  384.804363]  [<ffffffff80242427>] ? warn_slowpath_fmt+0x51/0x59
[  384.804372]  [<ffffffff8023430e>] ? enqueue_task+0x5c/0x65
[  384.804380]  [<ffffffff8025474b>] ? autoremove_wake_function+0x9/0x2e
[  384.804386]  [<ffffffff8042321b>] ? netif_tx_lock+0x3d/0x69
[  384.804394]  [<ffffffff8040fcc0>] ? netdev_drivername+0x3b/0x40
[  384.804400]  [<ffffffff8042330e>] ? dev_watchdog+0xc7/0x164
[  384.804406]  [<ffffffff80235618>] ? __wake_up+0x30/0x44
[  384.804412]  [<ffffffff80423247>] ? dev_watchdog+0x0/0x164
[  384.804420]  [<ffffffff8024aa87>] ? run_timer_softirq+0x193/0x210
[  384.804428]  [<ffffffff8025b4b9>] ? getnstimeofday+0x55/0xaf
[  384.804435]  [<ffffffff80246fa9>] ? __do_softirq+0xac/0x173
[  384.804442]  [<ffffffff80210bcc>] ? call_softirq+0x1c/0x30
[  384.804448]  [<ffffffff802125fa>] ? do_softirq+0x3a/0x7e
[  384.804454]  [<ffffffff80246d26>] ? irq_exit+0x3f/0x80
[  384.804461]  [<ffffffff80220e63>] ? smp_apic_timer_interrupt+0x87/0x94
[  384.804467]  [<ffffffff802105d3>] ? apic_timer_interrupt+0x13/0x20
[  384.804471]  <EOI>  [<ffffffffa01d85e3>] ? acpi_idle_enter_bm+0x274/0x2a8 [processor]
[  384.804505]  [<ffffffffa01d85dc>] ? acpi_idle_enter_bm+0x26d/0x2a8 [processor]
[  384.804514]  [<ffffffff803fce9c>] ? cpuidle_idle_call+0x8b/0xc7
[  384.804522]  [<ffffffff8020edda>] ? cpu_idle+0x50/0x91
[  384.804527] ---[ end trace eadd4032f69184bd ]---
[  384.821181] r8169: eth0: link up

Thanks for looking into this.

Cheers,

Carlos

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#526983; Package linux-2.6. (Tue, 01 Sep 2009 12:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Zeman <jzeman@voicebow.cz>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 01 Sep 2009 12:09:05 GMT) Full text and rfc822 format available.

Message #22 received at 526983@bugs.debian.org (full text, mbox):

From: Jakub Zeman <jzeman@voicebow.cz>
To: 526983@bugs.debian.org
Subject: NETDEV WATCHDOG: eth0 (r8169): transmit timed out
Date: Tue, 01 Sep 2009 13:58:56 +0200
Hi,

I'm experiencing this bug too. I'm using 2.6.26-2-686 on my linux router 
which runs
on D945GCLF2 with Intel Atom 330.

The problem continues randomly 5-6 times a day. It causes delays in 
network traffic up to 6s.

Is there any possibility that the fix will be available in stable linux 
kernel?

dmesg log follows:

[11974.028467] NETDEV WATCHDOG: eth0: transmit timed out
[11974.028488] ------------[ cut here ]------------
[11974.028495] WARNING: at net/sched/sch_generic.c:222 
dev_watchdog+0x8f/0xdc()
[11974.028500] Modules linked in: tun cls_fw xt_MARK sch_htb 
iptable_mangle ipt_REDIRECT xt_tcpudp iptable_filter ipv6 smsc47m1 
smsc47m192 hwmon_vid ipt_account iptable_nat ip_tables x_tables 8021q 
ip_gre nf_nat_tftp nf_conntrack_tftp nf_nat_ftp nf_nat nf_conntrack_ipv4 
nf_conntrack_ftp nf_conntrack loop evdev parport_pc parport psmouse 
rng_core serio_raw iTCO_wdt snd_hda_intel snd_pcm button snd_timer snd 
soundcore snd_page_alloc pcspkr i2c_i801 i2c_core intel_agp agpgart ext3 
jbd mbcache ide_disk ata_generic ata_piix libata piix scsi_mod dock 
r8169 ehci_hcd ide_pci_generic ide_core uhci_hcd usbcore thermal 
processor fan thermal_sys
[11974.028620] Pid: 0, comm: swapper Not tainted 2.6.26-2-686 #1
[11974.028636]  [<c01225f3>] warn_on_slowpath+0x40/0x66
[11974.032457]  [<c01184d1>] __wake_up_common+0x2e/0x58
[11974.032457]  [<c011a6bb>] __wake_up+0x29/0x39
[11974.032457]  [<c012291f>] wake_up_klogd+0x2b/0x2d
[11974.032457]  [<c0129b2c>] lock_timer_base+0x19/0x35
[11974.032457]  [<c0129c3f>] __mod_timer+0x99/0xa3
[11974.032457]  [<c012f66f>] queue_delayed_work_on+0x9a/0xa6
[11974.032457]  [<c0266f7e>] dev_watchdog+0x0/0xdc
[11974.032457]  [<c012f6a1>] queue_delayed_work+0x16/0x18
[11974.032457]  [<c026700d>] dev_watchdog+0x8f/0xdc
[11974.032457]  [<c01296d4>] run_timer_softirq+0x11a/0x17c
[11974.032457]  [<c0266f7e>] dev_watchdog+0x0/0xdc
[11974.032457]  [<c01265f5>] __do_softirq+0x66/0xd3
[11974.032457]  [<c01266a7>] do_softirq+0x45/0x53
[11974.032457]  [<c012695e>] irq_exit+0x35/0x67
[11974.032457]  [<c01101c9>] smp_apic_timer_interrupt+0x6b/0x76
[11974.032457]  [<c0108bbf>] mwait_idle+0x0/0x3d
[11974.032457]  [<c0104364>] apic_timer_interrupt+0x28/0x30
[11974.032457]  [<c0108bbf>] mwait_idle+0x0/0x3d
[11974.032457]  [<c0108bee>] mwait_idle+0x2f/0x3d
[11974.032457]  [<c01025ce>] cpu_idle+0xab/0xcb
[11974.032457]  =======================
[11974.056288] r8169: eth0: link up
[31510.139306] NETDEV WATCHDOG: eth0: transmit timed out
[31510.164296] r8169: eth0: link up
[32573.410747] NETDEV WATCHDOG: eth0: transmit timed out
[32573.435737] r8169: eth0: link up
[48483.069843] NETDEV WATCHDOG: eth0: transmit timed out
[48483.093258] r8169: eth0: link up
[63468.868123] NETDEV WATCHDOG: eth0: transmit timed out
[63468.893750] r8169: eth0: link up
[101805.357605] NETDEV WATCHDOG: eth0: transmit timed out
[101805.394777] r8169: eth0: link up





Forcibly Merged 526983 528362. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 11 Oct 2009 20:54:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#526983; Package linux-2.6. (Sun, 01 Nov 2009 00:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Victor Pablos Ceruelo <victorpablosceruelo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 01 Nov 2009 00:27:08 GMT) Full text and rfc822 format available.

Message #29 received at 526983@bugs.debian.org (full text, mbox):

From: Victor Pablos Ceruelo <victorpablosceruelo@gmail.com>
To: 526983@bugs.debian.org
Subject: Bug is still there on kernel 2.6.30-1-686 (Debian 2.6.30-6)
Date: Sun, 01 Nov 2009 01:14:57 +0100
[Message part 1 (text/plain, inline)]
dmesg log file is attached.


[dmesg.txt (text/plain, inline)]
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 2.6.30-1-686 (Debian 2.6.30-6) (waldi@debian.org) (gcc version 4.3.4 (Debian 4.3.4-1) ) #1 SMP Sat Aug 15 19:11:58 UTC 2009
[    0.000000] KERNEL supported cpus:
[    0.000000]   Intel GenuineIntel
[    0.000000]   AMD AuthenticAMD
[    0.000000]   NSC Geode by NSC
[    0.000000]   Cyrix CyrixInstead
[    0.000000]   Centaur CentaurHauls
[    0.000000]   Transmeta GenuineTMx86
[    0.000000]   Transmeta TransmetaCPU
[    0.000000]   UMC UMC UMC UMC
[    0.000000] BIOS-provided physical RAM map:
[    0.000000]  BIOS-e820: 0000000000000000 - 000000000009f800 (usable)
[    0.000000]  BIOS-e820: 000000000009f800 - 00000000000a0000 (reserved)
[    0.000000]  BIOS-e820: 00000000000dc000 - 0000000000100000 (reserved)
[    0.000000]  BIOS-e820: 0000000000100000 - 000000003f680000 (usable)
[    0.000000]  BIOS-e820: 000000003f680000 - 000000003f700000 (ACPI NVS)
[    0.000000]  BIOS-e820: 000000003f700000 - 0000000040000000 (reserved)
[    0.000000]  BIOS-e820: 00000000e0000000 - 00000000f0000000 (reserved)
[    0.000000]  BIOS-e820: 00000000fec00000 - 00000000fec10000 (reserved)
[    0.000000]  BIOS-e820: 00000000fed00000 - 00000000fed00400 (reserved)
[    0.000000]  BIOS-e820: 00000000fed14000 - 00000000fed1a000 (reserved)
[    0.000000]  BIOS-e820: 00000000fed1c000 - 00000000fed90000 (reserved)
[    0.000000]  BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
[    0.000000]  BIOS-e820: 00000000ff000000 - 0000000100000000 (reserved)
[    0.000000] DMI present.
[    0.000000] last_pfn = 0x3f680 max_arch_pfn = 0x100000
[    0.000000] MTRR default type: uncachable
[    0.000000] MTRR fixed ranges enabled:
[    0.000000]   00000-9FFFF write-back
[    0.000000]   A0000-BFFFF uncachable
[    0.000000]   C0000-CFFFF write-protect
[    0.000000]   D0000-DFFFF uncachable
[    0.000000]   E0000-FFFFF write-protect
[    0.000000] MTRR variable ranges enabled:
[    0.000000]   0 base 000000000 mask FC0000000 write-back
[    0.000000]   1 base 03F700000 mask FFFF00000 uncachable
[    0.000000]   2 base 03F800000 mask FFF800000 uncachable
[    0.000000]   3 disabled
[    0.000000]   4 disabled
[    0.000000]   5 disabled
[    0.000000]   6 disabled
[    0.000000]   7 disabled
[    0.000000] PAT not supported by CPU.
[    0.000000] init_memory_mapping: 0000000000000000-00000000377fe000
[    0.000000]  0000000000 - 0000400000 page 4k
[    0.000000]  0000400000 - 0037400000 page 2M
[    0.000000]  0037400000 - 00377fe000 page 4k
[    0.000000] kernel direct mapping tables up to 377fe000 @ 7000-c000
[    0.000000] RAMDISK: 37750000 - 37fef251
[    0.000000] Allocated new RAMDISK: 00544000 - 00de3251
[    0.000000] Move RAMDISK from 0000000037750000 - 0000000037fef250 to 00544000 - 00de3250
[    0.000000] ACPI: RSDP 000f75e0 00014 (v00 TOSCPL)
[    0.000000] ACPI: RSDT 3f680aa2 00048 (v01 TOSCPL Capell00 06040000  LTP 00000000)
[    0.000000] ACPI: FACP 3f687dee 00074 (v01 TOSCPL CALISTGA 06040000 LOHR 0000005A)
[    0.000000] ACPI: DSDT 3f682181 05C6D (v01 TOSCPL CALISTGA 06040000 INTL 20050624)
[    0.000000] ACPI: FACS 3f688fc0 00040
[    0.000000] ACPI: APIC 3f687e62 00068 (v01 INTEL  CALISTGA 06040000 LOHR 0000005A)
[    0.000000] ACPI: HPET 3f687eca 00038 (v01 INTEL  CALISTGA 06040000 LOHR 0000005A)
[    0.000000] ACPI: MCFG 3f687f02 0003C (v01 INTEL  CALISTGA 06040000 LOHR 0000005A)
[    0.000000] ACPI: BOOT 3f687fd8 00028 (v01 PTLTD  $SBFTBL$ 06040000  LTP 00000001)
[    0.000000] ACPI: APIC 3f687f70 00068 (v01 PTLTD  	 APIC   06040000  LTP 00000000)
[    0.000000] ACPI: SSDT 3f681b2e 0064F (v01 SataRe  SataPri 00001000 INTL 20050624)
[    0.000000] ACPI: SSDT 3f68149c 00692 (v01 SataRe  SataSec 00001000 INTL 20050624)
[    0.000000] ACPI: SSDT 3f680aea 004F6 (v01  PmRef    CpuPm 00003000 INTL 20050624)
[    0.000000] ACPI: BIOS bug: multiple APIC/MADT found, using 0
[    0.000000] ACPI: If "acpi_apic_instance=2" works better, notify linux-acpi@vger.kernel.org
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] 126MB HIGHMEM available.
[    0.000000] 887MB LOWMEM available.
[    0.000000]   mapped low ram: 0 - 377fe000
[    0.000000]   low ram: 0 - 377fe000
[    0.000000]   node 0 low ram: 00000000 - 377fe000
[    0.000000]   node 0 bootmap 00008000 - 0000ef00
[    0.000000] (9 early reservations) ==> bootmem [0000000000 - 00377fe000]
[    0.000000]   #0 [0000000000 - 0000001000]   BIOS data page ==> [0000000000 - 0000001000]
[    0.000000]   #1 [0000001000 - 0000002000]    EX TRAMPOLINE ==> [0000001000 - 0000002000]
[    0.000000]   #2 [0000006000 - 0000007000]       TRAMPOLINE ==> [0000006000 - 0000007000]
[    0.000000]   #3 [0000100000 - 0000540b10]    TEXT DATA BSS ==> [0000100000 - 0000540b10]
[    0.000000]   #4 [000009f800 - 0000100000]    BIOS reserved ==> [000009f800 - 0000100000]
[    0.000000]   #5 [0000541000 - 00005430f4]              BRK ==> [0000541000 - 00005430f4]
[    0.000000]   #6 [0000007000 - 0000008000]          PGTABLE ==> [0000007000 - 0000008000]
[    0.000000]   #7 [0000544000 - 0000de3251]      NEW RAMDISK ==> [0000544000 - 0000de3251]
[    0.000000]   #8 [0000008000 - 000000f000]          BOOTMAP ==> [0000008000 - 000000f000]
[    0.000000] found SMP MP-table at [c00f7670] f7670
[    0.000000] Zone PFN ranges:
[    0.000000]   DMA      0x00000000 -> 0x00001000
[    0.000000]   Normal   0x00001000 -> 0x000377fe
[    0.000000]   HighMem  0x000377fe -> 0x0003f680
[    0.000000] Movable zone start PFN for each node
[    0.000000] early_node_map[2] active PFN ranges
[    0.000000]     0: 0x00000000 -> 0x0000009f
[    0.000000]     0: 0x00000100 -> 0x0003f680
[    0.000000] On node 0 totalpages: 259615
[    0.000000] free_area_init_node: node 0, pgdat c040bd40, node_mem_map c1000000
[    0.000000]   DMA zone: 32 pages used for memmap
[    0.000000]   DMA zone: 0 pages reserved
[    0.000000]   DMA zone: 3967 pages, LIFO batch:0
[    0.000000]   Normal zone: 1744 pages used for memmap
[    0.000000]   Normal zone: 221486 pages, LIFO batch:31
[    0.000000]   HighMem zone: 254 pages used for memmap
[    0.000000]   HighMem zone: 32132 pages, LIFO batch:7
[    0.000000] Using APIC driver default
[    0.000000] ACPI: PM-Timer IO Port: 0x1008
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] enabled)
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
[    0.000000] ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0])
[    0.000000] IOAPIC[0]: apic_id 1, version 32, address 0xfec00000, GSI 0-23
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[    0.000000] ACPI: IRQ0 used by override.
[    0.000000] ACPI: IRQ2 used by override.
[    0.000000] ACPI: IRQ9 used by override.
[    0.000000] Enabling APIC mode:  Flat.  Using 1 I/O APICs
[    0.000000] Using ACPI (MADT) for SMP configuration information
[    0.000000] ACPI: HPET id: 0x8086a201 base: 0xfed00000
[    0.000000] SMP: Allowing 2 CPUs, 0 hotplug CPUs
[    0.000000] nr_irqs_gsi: 24
[    0.000000] PM: Registered nosave memory: 000000000009f000 - 00000000000a0000
[    0.000000] PM: Registered nosave memory: 00000000000a0000 - 00000000000dc000
[    0.000000] PM: Registered nosave memory: 00000000000dc000 - 0000000000100000
[    0.000000] Allocating PCI resources starting at 50000000 (gap: 40000000:a0000000)
[    0.000000] NR_CPUS:32 nr_cpumask_bits:32 nr_cpu_ids:2 nr_node_ids:1
[    0.000000] PERCPU: Embedded 11 pages at c17f4000, static data 22172 bytes
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 257585
[    0.000000] Kernel command line: root=/dev/sda1 ro pci=nomsi nosplash noquiet
[    0.000000] Enabling fast FPU save and restore... done.
[    0.000000] Enabling unmasked SIMD FPU exception support... done.
[    0.000000] Initializing CPU#0
[    0.000000] NR_IRQS:1280
[    0.000000] PID hash table entries: 4096 (order: 12, 16384 bytes)
[    0.000000] Fast TSC calibration using PIT
[    0.000000] Detected 1729.123 MHz processor.
[    0.004000] Console: colour VGA+ 80x25
[    0.004000] console [tty0] enabled
[    0.004000] Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
[    0.004000] Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
[    0.004000] Initializing HighMem for node 0 (000377fe:0003f680)
[    0.004000] Memory: 1015860k/1038848k available (2173k kernel code, 22260k reserved, 1151k data, 320k init, 129544k highmem)
[    0.004000] virtual kernel memory layout:
[    0.004000]     fixmap  : 0xffe16000 - 0xfffff000   (1956 kB)
[    0.004000]     pkmap   : 0xff800000 - 0xffc00000   (4096 kB)
[    0.004000]     vmalloc : 0xf7ffe000 - 0xff7fe000   ( 120 MB)
[    0.004000]     lowmem  : 0xc0000000 - 0xf77fe000   ( 887 MB)
[    0.004000]       .init : 0xc0446000 - 0xc0496000   ( 320 kB)
[    0.004000]       .data : 0xc031f5d5 - 0xc043f2f0   (1151 kB)
[    0.004000]       .text : 0xc0100000 - 0xc031f5d5   (2173 kB)
[    0.004000] Checking if this processor honours the WP bit even in supervisor mode...Ok.
[    0.004000] hpet clockevent registered
[    0.004000] HPET: 3 timers in total, 0 timers will be used for per-cpu timer
[    0.004000] Calibrating delay loop (skipped), value calculated using timer frequency.. 3458.24 BogoMIPS (lpj=6916492)
[    0.004000] Security Framework initialized
[    0.004000] SELinux:  Disabled at boot.
[    0.004000] Mount-cache hash table entries: 512
[    0.004000] Initializing cgroup subsys ns
[    0.004000] Initializing cgroup subsys cpuacct
[    0.004000] Initializing cgroup subsys devices
[    0.004000] Initializing cgroup subsys freezer
[    0.004000] Initializing cgroup subsys net_cls
[    0.004000] CPU: L1 I cache: 32K, L1 D cache: 32K
[    0.004000] CPU: L2 cache: 2048K
[    0.004000] CPU: Physical Processor ID: 0
[    0.004000] CPU: Processor Core ID: 0
[    0.004000] Intel machine check architecture supported.
[    0.004000] Intel machine check reporting enabled on CPU#0.
[    0.004000] using mwait in idle threads.
[    0.004000] Checking 'hlt' instruction... OK.
[    0.017260] ACPI: Core revision 20090320
[    0.028508] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.069868] CPU0: Genuine Intel(R) CPU           T2250  @ 1.73GHz stepping 08
[    0.072001] Booting processor 1 APIC 0x1 ip 0x6000
[    0.004000] Initializing CPU#1
[    0.004000] Calibrating delay using timer specific routine.. 3458.00 BogoMIPS (lpj=6916014)
[    0.004000] CPU: L1 I cache: 32K, L1 D cache: 32K
[    0.004000] CPU: L2 cache: 2048K
[    0.004000] CPU: Physical Processor ID: 0
[    0.004000] CPU: Processor Core ID: 1
[    0.004000] Intel machine check architecture supported.
[    0.004000] Intel machine check reporting enabled on CPU#1.
[    0.156494] CPU1: Genuine Intel(R) CPU           T2250  @ 1.73GHz stepping 08
[    0.157203] checking TSC synchronization [CPU#0 -> CPU#1]: passed.
[    0.160087] Brought up 2 CPUs
[    0.160153] Total of 2 processors activated (6916.25 BogoMIPS).
[    0.160277] CPU0 attaching sched-domain:
[    0.160280]  domain 0: span 0-1 level MC
[    0.160284]   groups: 0 1
[    0.160290] CPU1 attaching sched-domain:
[    0.160292]  domain 0: span 0-1 level MC
[    0.160295]   groups: 1 0
[    0.160376] net_namespace: 1088 bytes
[    0.160376] Booting paravirtualized kernel on bare hardware
[    0.160376] regulator: core version 0.5
[    0.160376] NET: Registered protocol family 16
[    0.160376] ACPI: bus type pci registered
[    0.160376] PCI: MCFG configuration 0: base e0000000 segment 0 buses 0 - 255
[    0.160376] PCI: MCFG area at e0000000 reserved in E820
[    0.160376] PCI: Using MMCONFIG for extended config space
[    0.160376] PCI: Using configuration type 1 for base access
[    0.164067] bio: create slab <bio-0> at 0
[    0.164770] ACPI: EC: Look up EC in DSDT
[    0.172066] ACPI: BIOS _OSI(Linux) query ignored
[    0.173782] ACPI: Interpreter enabled
[    0.173851] ACPI: (supports S0 S3 S4 S5)
[    0.174112] ACPI: Using IOAPIC for interrupt routing
[    0.174234] [Firmware Bug]: ACPI: ACPI brightness control misses _BQC function
[    0.220407] ACPI: EC: GPE = 0x19, I/O: command/status = 0x66, data = 0x62
[    0.220407] ACPI: EC: driver started in poll mode
[    0.220416] ACPI: No dock devices found.
[    0.220495] ACPI: PCI Root Bridge [PCI0] (0000:00)
[    0.220590] pci 0000:00:02.0: reg 10 32bit mmio: [0xdc100000-0xdc17ffff]
[    0.220590] pci 0000:00:02.0: reg 14 io port: [0x1800-0x1807]
[    0.220590] pci 0000:00:02.0: reg 18 32bit mmio: [0xc0000000-0xcfffffff]
[    0.220590] pci 0000:00:02.0: reg 1c 32bit mmio: [0xdc200000-0xdc23ffff]
[    0.220590] pci 0000:00:02.1: reg 10 32bit mmio: [0xdc180000-0xdc1fffff]
[    0.220590] pci 0000:00:1b.0: reg 10 64bit mmio: [0xdc440000-0xdc443fff]
[    0.220590] pci 0000:00:1b.0: PME# supported from D0 D3hot D3cold
[    0.220590] pci 0000:00:1b.0: PME# disabled
[    0.220590] pci 0000:00:1c.0: PME# supported from D0 D3hot D3cold
[    0.220652] pci 0000:00:1c.0: PME# disabled
[    0.220810] pci 0000:00:1c.1: PME# supported from D0 D3hot D3cold
[    0.220883] pci 0000:00:1c.1: PME# disabled
[    0.221041] pci 0000:00:1c.2: PME# supported from D0 D3hot D3cold
[    0.221114] pci 0000:00:1c.2: PME# disabled
[    0.221248] pci 0000:00:1d.0: reg 20 io port: [0x1820-0x183f]
[    0.221315] pci 0000:00:1d.1: reg 20 io port: [0x1840-0x185f]
[    0.221383] pci 0000:00:1d.2: reg 20 io port: [0x1860-0x187f]
[    0.221450] pci 0000:00:1d.3: reg 20 io port: [0x1880-0x189f]
[    0.221521] pci 0000:00:1d.7: reg 10 32bit mmio: [0xdc444000-0xdc4443ff]
[    0.221586] pci 0000:00:1d.7: PME# supported from D0 D3hot D3cold
[    0.221660] pci 0000:00:1d.7: PME# disabled
[    0.221901] pci 0000:00:1f.0: quirk: region 1000-107f claimed by ICH6 ACPI/GPIO/TCO
[    0.221989] pci 0000:00:1f.0: quirk: region 1180-11bf claimed by ICH6 GPIO
[    0.222066] pci 0000:00:1f.0: ICH7 LPC Generic IO decode 2 PIO at 1670 (mask 000f)
[    0.222223] pci 0000:00:1f.2: reg 10 io port: [0x00-0x07]
[    0.222232] pci 0000:00:1f.2: reg 14 io port: [0x00-0x03]
[    0.222241] pci 0000:00:1f.2: reg 18 io port: [0x00-0x07]
[    0.222250] pci 0000:00:1f.2: reg 1c io port: [0x00-0x03]
[    0.222258] pci 0000:00:1f.2: reg 20 io port: [0x18b0-0x18bf]
[    0.222296] pci 0000:00:1f.2: PME# supported from D3hot
[    0.222367] pci 0000:00:1f.2: PME# disabled
[    0.224067] pci 0000:00:1f.3: reg 20 io port: [0x18c0-0x18df]
[    0.224163] pci 0000:00:1c.0: bridge io port: [0x2000-0x2fff]
[    0.224169] pci 0000:00:1c.0: bridge 32bit mmio: [0xd6000000-0xd7ffffff]
[    0.224178] pci 0000:00:1c.0: bridge 64bit mmio pref: [0xd0000000-0xd1ffffff]
[    0.224326] pci 0000:04:00.0: reg 10 32bit mmio: [0xd8000000-0xd8000fff]
[    0.224573] pci 0000:04:00.0: PME# supported from D0 D3hot D3cold
[    0.224654] pci 0000:04:00.0: PME# disabled
[    0.224835] pci 0000:00:1c.1: bridge io port: [0x3000-0x3fff]
[    0.224841] pci 0000:00:1c.1: bridge 32bit mmio: [0xd8000000-0xd9ffffff]
[    0.224850] pci 0000:00:1c.1: bridge 64bit mmio pref: [0xd2000000-0xd3ffffff]
[    0.224929] pci 0000:05:00.0: reg 10 io port: [0x4000-0x40ff]
[    0.224960] pci 0000:05:00.0: reg 18 64bit mmio: [0xda000000-0xda000fff]
[    0.224991] pci 0000:05:00.0: reg 30 32bit mmio: [0x000000-0x00ffff]
[    0.225055] pci 0000:05:00.0: supports D1 D2
[    0.225058] pci 0000:05:00.0: PME# supported from D1 D2 D3hot D3cold
[    0.225134] pci 0000:05:00.0: PME# disabled
[    0.225279] pci 0000:00:1c.2: bridge io port: [0x4000-0x4fff]
[    0.225284] pci 0000:00:1c.2: bridge 32bit mmio: [0xda000000-0xdbffffff]
[    0.225294] pci 0000:00:1c.2: bridge 64bit mmio pref: [0xd4000000-0xd5ffffff]
[    0.225346] pci 0000:06:00.0: reg 10 32bit mmio: [0xdc001000-0xdc0017ff]
[    0.225356] pci 0000:06:00.0: reg 14 io port: [0x5000-0x507f]
[    0.225423] pci 0000:06:00.0: supports D2
[    0.225425] pci 0000:06:00.0: PME# supported from D2 D3hot D3cold
[    0.225499] pci 0000:06:00.0: PME# disabled
[    0.225621] pci 0000:06:04.0: reg 10 32bit mmio: [0xdc000000-0xdc000fff]
[    0.225650] pci 0000:06:04.0: supports D1 D2
[    0.225653] pci 0000:06:04.0: PME# supported from D0 D1 D2 D3hot D3cold
[    0.225728] pci 0000:06:04.0: PME# disabled
[    0.225844] pci 0000:06:04.1: reg 10 32bit mmio: [0xdc001800-0xdc00187f]
[    0.225917] pci 0000:06:04.1: supports D1 D2
[    0.225920] pci 0000:06:04.1: PME# supported from D0 D1 D2 D3hot
[    0.225994] pci 0000:06:04.1: PME# disabled
[    0.226111] pci 0000:06:04.2: reg 10 32bit mmio: [0xdc001c00-0xdc001cff]
[    0.226184] pci 0000:06:04.2: supports D1 D2
[    0.226187] pci 0000:06:04.2: PME# supported from D0 D1 D2 D3hot
[    0.226261] pci 0000:06:04.2: PME# disabled
[    0.226377] pci 0000:06:04.3: reg 10 32bit mmio: [0xdc002000-0xdc00207f]
[    0.226450] pci 0000:06:04.3: supports D1 D2
[    0.226453] pci 0000:06:04.3: PME# supported from D0 D1 D2 D3hot
[    0.226527] pci 0000:06:04.3: PME# disabled
[    0.226645] pci 0000:06:04.4: reg 10 32bit mmio: [0x000000-0x0000ff]
[    0.226718] pci 0000:06:04.4: supports D1 D2
[    0.226720] pci 0000:06:04.4: PME# supported from D0 D1 D2 D3hot
[    0.226795] pci 0000:06:04.4: PME# disabled
[    0.226925] pci 0000:00:1e.0: transparent bridge
[    0.226996] pci 0000:00:1e.0: bridge io port: [0x5000-0x5fff]
[    0.227002] pci 0000:00:1e.0: bridge 32bit mmio: [0xdc000000-0xdc0fffff]
[    0.227060] pci_bus 0000:00: on NUMA node 0
[    0.227067] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
[    0.227282] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.RP01._PRT]
[    0.227370] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.RP02._PRT]
[    0.227456] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.RP03._PRT]
[    0.227555] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCIB._PRT]
[    0.232442] ACPI: PCI Interrupt Link [LNKA] (IRQs 1 3 4 5 6 7 *10 12 14 15)
[    0.236645] ACPI: PCI Interrupt Link [LNKB] (IRQs 1 3 4 5 6 7 11 12 14 15) *10
[    0.237427] ACPI: PCI Interrupt Link [LNKC] (IRQs 1 3 4 5 6 7 10 12 14 15) *11
[    0.238206] ACPI: PCI Interrupt Link [LNKD] (IRQs 1 3 4 5 6 7 *11 12 14 15)
[    0.238927] ACPI: PCI Interrupt Link [LNKE] (IRQs 1 3 4 5 6 7 10 12 14 15) *11
[    0.239708] ACPI: PCI Interrupt Link [LNKF] (IRQs 1 3 4 5 6 7 11 12 14 15) *0, disabled.
[    0.240509] ACPI: PCI Interrupt Link [LNKG] (IRQs 1 3 4 5 6 7 10 12 14 15) *11
[    0.241290] ACPI: PCI Interrupt Link [LNKH] (IRQs 1 3 4 5 6 7 *11 12 14 15)
[    0.241949] PCI: Using ACPI for IRQ routing
[    0.256021] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0
[    0.256269] hpet0: 3 comparators, 64-bit 14.318180 MHz counter
[    0.280004] pnp: PnP ACPI init
[    0.280077] ACPI: bus type pnp registered
[    0.300222] pnp: PnP ACPI: found 10 devices
[    0.300289] ACPI: ACPI bus type pnp unregistered
[    0.300358] PnPBIOS: Disabled by ACPI PNP
[    0.300432] system 00:01: ioport range 0xfe00-0xfe7f has been reserved
[    0.300505] system 00:01: ioport range 0xfe80-0xfeff has been reserved
[    0.300577] system 00:01: ioport range 0xff00-0xff7f has been reserved
[    0.300649] system 00:01: iomem range 0xe0000000-0xefffffff has been reserved
[    0.300723] system 00:01: iomem range 0xfed14000-0xfed17fff has been reserved
[    0.300797] system 00:01: iomem range 0xfed18000-0xfed18fff has been reserved
[    0.300871] system 00:01: iomem range 0xfed19000-0xfed19fff has been reserved
[    0.300944] system 00:01: iomem range 0xfed1c000-0xfed1ffff has been reserved
[    0.301018] system 00:01: iomem range 0xfed20000-0xfed3ffff has been reserved
[    0.301092] system 00:01: iomem range 0xfed40000-0xfed44fff has been reserved
[    0.301165] system 00:01: iomem range 0xfed45000-0xfed8ffff has been reserved
[    0.301242] system 00:04: iomem range 0xfed00000-0xfed003ff has been reserved
[    0.301319] system 00:06: ioport range 0x800-0x80f has been reserved
[    0.301391] system 00:06: ioport range 0x1000-0x107f has been reserved
[    0.301462] system 00:06: ioport range 0x1180-0x11bf has been reserved
[    0.336672] pci 0000:00:1c.0: PCI bridge, secondary bus 0000:02
[    0.336745] pci 0000:00:1c.0:   IO window: 0x2000-0x2fff
[    0.336820] pci 0000:00:1c.0:   MEM window: 0xd6000000-0xd7ffffff
[    0.336893] pci 0000:00:1c.0:   PREFETCH window: 0x000000d0000000-0x000000d1ffffff
[    0.336987] pci 0000:00:1c.1: PCI bridge, secondary bus 0000:04
[    0.337058] pci 0000:00:1c.1:   IO window: 0x3000-0x3fff
[    0.337132] pci 0000:00:1c.1:   MEM window: 0xd8000000-0xd9ffffff
[    0.337206] pci 0000:00:1c.1:   PREFETCH window: 0x000000d2000000-0x000000d3ffffff
[    0.337299] pci 0000:00:1c.2: PCI bridge, secondary bus 0000:05
[    0.337371] pci 0000:00:1c.2:   IO window: 0x4000-0x4fff
[    0.337445] pci 0000:00:1c.2:   MEM window: 0xda000000-0xdbffffff
[    0.337518] pci 0000:00:1c.2:   PREFETCH window: 0x000000d4000000-0x000000d5ffffff
[    0.337618] pci 0000:06:04.0: CardBus bridge, secondary bus 0000:07
[    0.337689] pci 0000:06:04.0:   IO window: 0x005400-0x0054ff
[    0.337762] pci 0000:06:04.0:   IO window: 0x005800-0x0058ff
[    0.337836] pci 0000:06:04.0:   PREFETCH window: 0x50000000-0x53ffffff
[    0.337911] pci 0000:06:04.0:   MEM window: 0x54000000-0x57ffffff
[    0.337985] pci 0000:00:1e.0: PCI bridge, secondary bus 0000:06
[    0.338057] pci 0000:00:1e.0:   IO window: 0x5000-0x5fff
[    0.338130] pci 0000:00:1e.0:   MEM window: 0xdc000000-0xdc0fffff
[    0.338204] pci 0000:00:1e.0:   PREFETCH window: 0x00000050000000-0x00000053ffffff
[    0.338307] pci 0000:00:1c.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[    0.338383] pci 0000:00:1c.0: setting latency timer to 64
[    0.338393] pci 0000:00:1c.1: PCI INT B -> GSI 16 (level, low) -> IRQ 16
[    0.338468] pci 0000:00:1c.1: setting latency timer to 64
[    0.338478] pci 0000:00:1c.2: PCI INT C -> GSI 18 (level, low) -> IRQ 18
[    0.338554] pci 0000:00:1c.2: setting latency timer to 64
[    0.338562] pci 0000:00:1e.0: setting latency timer to 64
[    0.338574] pci 0000:06:04.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    0.338651] pci_bus 0000:00: resource 0 io:  [0x00-0xffff]
[    0.338654] pci_bus 0000:00: resource 1 mem: [0x000000-0xffffffff]
[    0.338657] pci_bus 0000:02: resource 0 io:  [0x2000-0x2fff]
[    0.338661] pci_bus 0000:02: resource 1 mem: [0xd6000000-0xd7ffffff]
[    0.338664] pci_bus 0000:02: resource 2 pref mem [0xd0000000-0xd1ffffff]
[    0.338668] pci_bus 0000:04: resource 0 io:  [0x3000-0x3fff]
[    0.338671] pci_bus 0000:04: resource 1 mem: [0xd8000000-0xd9ffffff]
[    0.338674] pci_bus 0000:04: resource 2 pref mem [0xd2000000-0xd3ffffff]
[    0.338677] pci_bus 0000:05: resource 0 io:  [0x4000-0x4fff]
[    0.338681] pci_bus 0000:05: resource 1 mem: [0xda000000-0xdbffffff]
[    0.338684] pci_bus 0000:05: resource 2 pref mem [0xd4000000-0xd5ffffff]
[    0.338687] pci_bus 0000:06: resource 0 io:  [0x5000-0x5fff]
[    0.338690] pci_bus 0000:06: resource 1 mem: [0xdc000000-0xdc0fffff]
[    0.338694] pci_bus 0000:06: resource 2 pref mem [0x50000000-0x53ffffff]
[    0.338697] pci_bus 0000:06: resource 3 io:  [0x00-0xffff]
[    0.338700] pci_bus 0000:06: resource 4 mem: [0x000000-0xffffffff]
[    0.338703] pci_bus 0000:07: resource 0 io:  [0x5400-0x54ff]
[    0.338707] pci_bus 0000:07: resource 1 io:  [0x5800-0x58ff]
[    0.338710] pci_bus 0000:07: resource 2 pref mem [0x50000000-0x53ffffff]
[    0.338713] pci_bus 0000:07: resource 3 mem: [0x54000000-0x57ffffff]
[    0.338773] NET: Registered protocol family 2
[    0.384068] IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
[    0.384489] TCP established hash table entries: 131072 (order: 8, 1048576 bytes)
[    0.385312] TCP bind hash table entries: 65536 (order: 7, 524288 bytes)
[    0.385750] TCP: Hash tables configured (established 131072 bind 65536)
[    0.385821] TCP reno registered
[    0.396104] NET: Registered protocol family 1
[    0.396230] Trying to unpack rootfs image as initramfs...
[    0.501382] Switched to high resolution mode on CPU 1
[    0.503982] Switched to high resolution mode on CPU 0
[    0.697658] Freeing initrd memory: 8828k freed
[    0.704392] Simple Boot Flag at 0x36 set to 0x1
[    0.705377] audit: initializing netlink socket (disabled)
[    0.705464] type=2000 audit(1257024719.705:1): initialized
[    0.705751] highmem bounce pool size: 64 pages
[    0.705821] HugeTLB registered 4 MB page size, pre-allocated 0 pages
[    0.705992] VFS: Disk quotas dquot_6.5.2
[    0.706094] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[    0.706225] msgmni has been set to 1748
[    0.706467] alg: No test for stdrng (krng)
[    0.706611] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    0.706699] io scheduler noop registered
[    0.706765] io scheduler anticipatory registered
[    0.706832] io scheduler deadline registered
[    0.706916] io scheduler cfq registered (default)
[    0.706996] pci 0000:00:02.0: Boot video device
[    0.707285] pcieport-driver 0000:00:1c.0: setting latency timer to 64
[    0.707543] pcieport-driver 0000:00:1c.1: setting latency timer to 64
[    0.707807] pcieport-driver 0000:00:1c.2: setting latency timer to 64
[    0.708376] isapnp: Scanning for PnP cards...
[    0.962781] ACPI: EC: non-query interrupt received, switching to interrupt mode
[    1.068157] isapnp: No Plug & Play device found
[    1.072244] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    1.074744] brd: module loaded
[    1.074916] PNP: PS/2 Controller [PNP0303:PS2K,PNP0f13:PS2M] at 0x60,0x64 irq 1,12
[    1.075368] i8042.c: Detected active multiplexing controller, rev 1.1.
[    1.075521] serio: i8042 KBD port at 0x60,0x64 irq 1
[    1.075592] serio: i8042 AUX0 port at 0x60,0x64 irq 12
[    1.075665] serio: i8042 AUX1 port at 0x60,0x64 irq 12
[    1.075739] serio: i8042 AUX2 port at 0x60,0x64 irq 12
[    1.075812] serio: i8042 AUX3 port at 0x60,0x64 irq 12
[    1.076418] mice: PS/2 mouse device common for all mice
[    1.076575] rtc_cmos 00:07: RTC can wake from S4
[    1.076711] rtc_cmos 00:07: rtc core: registered rtc_cmos as rtc0
[    1.076814] rtc0: alarms up to one month, y3k, 242 bytes nvram, hpet irqs
[    1.076929] cpuidle: using governor ladder
[    1.077006] cpuidle: using governor menu
[    1.077087] No iBFT detected.
[    1.077560] TCP cubic registered
[    1.077681] NET: Registered protocol family 10
[    1.078249] lo: Disabled Privacy Extensions
[    1.078663] Mobile IPv6
[    1.078727] NET: Registered protocol family 17
[    1.078801] Using IPI No-Shortcut mode
[    1.079110] registered taskstats version 1
[    1.079128] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
[    1.079498] rtc_cmos 00:07: setting system clock to 2009-10-31 21:32:01 UTC (1257024721)
[    1.079655] Freeing unused kernel memory: 320k freed
[    1.079939] Write protecting the kernel text: 2176k
[    1.080065] Write protecting the kernel read-only data: 784k
[    1.196567] device-mapper: uevent: version 1.0.3
[    1.196768] device-mapper: ioctl: 4.14.0-ioctl (2008-04-23) initialised: dm-devel@redhat.com
[    1.267785] [Firmware Bug]: ACPI: ACPI brightness control misses _BQC function
[    1.268145] acpi device:0a: registered as cooling_device0
[    1.268347] input: Video Bus as /devices/LNXSYSTM:00/device:00/PNP0A08:00/device:07/input/input1
[    1.268442] ACPI: Video Device [GFX0] (multi-head: yes  rom: no  post: no)
[    1.294772] Linux agpgart interface v0.103
[    1.297784] agpgart-intel 0000:00:00.0: Intel 945GM Chipset
[    1.298577] agpgart-intel 0000:00:00.0: detected 7932K stolen memory
[    1.301658] agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0xc0000000
[    1.335104] usbcore: registered new interface driver usbfs
[    1.335223] usbcore: registered new interface driver hub
[    1.335352] usbcore: registered new device driver usb
[    1.351947] SCSI subsystem initialized
[    1.354340] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    1.354460] ehci_hcd 0000:00:1d.7: PCI INT A -> GSI 23 (level, low) -> IRQ 23
[    1.354555] ehci_hcd 0000:00:1d.7: setting latency timer to 64
[    1.354559] ehci_hcd 0000:00:1d.7: EHCI Host Controller
[    1.354682] ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 1
[    1.358676] ehci_hcd 0000:00:1d.7: debug port 1
[    1.358758] ehci_hcd 0000:00:1d.7: cache line size of 32 is not supported
[    1.358790] ehci_hcd 0000:00:1d.7: irq 23, io mem 0xdc444000
[    1.413974] firewire_ohci 0000:06:00.0: PCI INT A -> GSI 20 (level, low) -> IRQ 20
[    1.418937] ehci_hcd 0000:00:1d.7: USB 2.0 started, EHCI 1.00
[    1.419044] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[    1.419119] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.419207] usb usb1: Product: EHCI Host Controller
[    1.419278] usb usb1: Manufacturer: Linux 2.6.30-1-686 ehci_hcd
[    1.419350] usb usb1: SerialNumber: 0000:00:1d.7
[    1.419501] usb usb1: configuration #1 chosen from 1 choice
[    1.419603] hub 1-0:1.0: USB hub found
[    1.419682] hub 1-0:1.0: 8 ports detected
[    1.423857] uhci_hcd: USB Universal Host Controller Interface driver
[    1.423994] uhci_hcd 0000:00:1d.0: PCI INT A -> GSI 23 (level, low) -> IRQ 23
[    1.424109] uhci_hcd 0000:00:1d.0: setting latency timer to 64
[    1.424115] uhci_hcd 0000:00:1d.0: UHCI Host Controller
[    1.424217] uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 2
[    1.424334] uhci_hcd 0000:00:1d.0: irq 23, io base 0x00001820
[    1.424447] usb usb2: New USB device found, idVendor=1d6b, idProduct=0001
[    1.424520] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.424606] usb usb2: Product: UHCI Host Controller
[    1.424674] usb usb2: Manufacturer: Linux 2.6.30-1-686 uhci_hcd
[    1.424745] usb usb2: SerialNumber: 0000:00:1d.0
[    1.424885] usb usb2: configuration #1 chosen from 1 choice
[    1.424987] hub 2-0:1.0: USB hub found
[    1.425059] hub 2-0:1.0: 2 ports detected
[    1.425240] uhci_hcd 0000:00:1d.1: PCI INT B -> GSI 19 (level, low) -> IRQ 19
[    1.425318] uhci_hcd 0000:00:1d.1: setting latency timer to 64
[    1.425322] uhci_hcd 0000:00:1d.1: UHCI Host Controller
[    1.425415] uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 3
[    1.425537] uhci_hcd 0000:00:1d.1: irq 19, io base 0x00001840
[    1.425643] usb usb3: New USB device found, idVendor=1d6b, idProduct=0001
[    1.425715] usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.425800] usb usb3: Product: UHCI Host Controller
[    1.425868] usb usb3: Manufacturer: Linux 2.6.30-1-686 uhci_hcd
[    1.425939] usb usb3: SerialNumber: 0000:00:1d.1
[    1.426060] usb usb3: configuration #1 chosen from 1 choice
[    1.426159] hub 3-0:1.0: USB hub found
[    1.426230] hub 3-0:1.0: 2 ports detected
[    1.426399] uhci_hcd 0000:00:1d.2: PCI INT C -> GSI 18 (level, low) -> IRQ 18
[    1.426479] uhci_hcd 0000:00:1d.2: setting latency timer to 64
[    1.426483] uhci_hcd 0000:00:1d.2: UHCI Host Controller
[    1.426574] uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 4
[    1.426694] uhci_hcd 0000:00:1d.2: irq 18, io base 0x00001860
[    1.426799] usb usb4: New USB device found, idVendor=1d6b, idProduct=0001
[    1.426871] usb usb4: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.426957] usb usb4: Product: UHCI Host Controller
[    1.427025] usb usb4: Manufacturer: Linux 2.6.30-1-686 uhci_hcd
[    1.427095] usb usb4: SerialNumber: 0000:00:1d.2
[    1.427215] usb usb4: configuration #1 chosen from 1 choice
[    1.427313] hub 4-0:1.0: USB hub found
[    1.427383] hub 4-0:1.0: 2 ports detected
[    1.427559] uhci_hcd 0000:00:1d.3: PCI INT D -> GSI 16 (level, low) -> IRQ 16
[    1.427611] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
[    1.427632] r8169 0000:05:00.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
[    1.427659] r8169 0000:05:00.0: setting latency timer to 64
[    1.427733] r8169 0000:05:00.0: no MSI. Back to INTx.
[    1.427915] uhci_hcd 0000:00:1d.3: setting latency timer to 64
[    1.427919] uhci_hcd 0000:00:1d.3: UHCI Host Controller
[    1.428022] uhci_hcd 0000:00:1d.3: new USB bus registered, assigned bus number 5
[    1.428145] uhci_hcd 0000:00:1d.3: irq 16, io base 0x00001880
[    1.428251] usb usb5: New USB device found, idVendor=1d6b, idProduct=0001
[    1.428323] usb usb5: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.428410] eth0: RTL8101e at 0xf8304000, 00:16:d4:2d:bd:0b, XID 34000000 IRQ 18
[    1.428511] usb usb5: Product: UHCI Host Controller
[    1.428586] usb usb5: Manufacturer: Linux 2.6.30-1-686 uhci_hcd
[    1.428664] usb usb5: SerialNumber: 0000:00:1d.3
[    1.428786] usb usb5: configuration #1 chosen from 1 choice
[    1.428887] hub 5-0:1.0: USB hub found
[    1.428963] hub 5-0:1.0: 2 ports detected
[    1.455224] sdhci: Secure Digital Host Controller Interface driver
[    1.455304] sdhci: Copyright(c) Pierre Ossman
[    1.528173] firewire_ohci: Added fw-ohci device 0000:06:00.0, OHCI version 1.10
[    1.528370] sdhci-pci 0000:06:04.2: SDHCI controller found [1524:0550] (rev 1)
[    1.528476] sdhci-pci 0000:06:04.2: PCI INT B -> GSI 17 (level, low) -> IRQ 17
[    1.528655] Registered led device: mmc0::
[    1.528769] mmc0: SDHCI controller on PCI [0000:06:04.2] using PIO
[    1.528852] sdhci-pci 0000:06:04.4: SDHCI controller found [1524:0551] (rev 1)
[    1.528951] sdhci-pci 0000:06:04.4: enabling device (0000 -> 0002)
[    1.529032] sdhci-pci 0000:06:04.4: PCI INT B -> GSI 17 (level, low) -> IRQ 17
[    1.529165] Registered led device: mmc1::
[    1.529261] mmc1: SDHCI controller on PCI [0000:06:04.4] using PIO
[    1.540740] libata version 3.00 loaded.
[    1.544146] ata_piix 0000:00:1f.2: version 2.13
[    1.544168] ata_piix 0000:00:1f.2: PCI INT B -> GSI 19 (level, low) -> IRQ 19
[    1.544254] ata_piix 0000:00:1f.2: MAP [ P0 P2 IDE IDE ]
[    1.696031] ata_piix 0000:00:1f.2: setting latency timer to 64
[    1.696127] scsi0 : ata_piix
[    1.696335] scsi1 : ata_piix
[    1.697574] ata1: SATA max UDMA/133 cmd 0x1f0 ctl 0x3f6 bmdma 0x18b0 irq 14
[    1.697649] ata2: PATA max UDMA/100 cmd 0x170 ctl 0x376 bmdma 0x18b8 irq 15
[    1.860586] ata1.00: ATA-7: HTS541080G9SA00, MB4OC60R, max UDMA/100
[    1.860658] ata1.00: 156301488 sectors, multi 16: LBA48 NCQ (depth 0/32)
[    1.876597] ata1.00: configured for UDMA/100
[    1.876784] scsi 0:0:0:0: Direct-Access     ATA      HTS541080G9SA00  MB4O PQ: 0 ANSI: 5
[    2.024059] firewire_core: created device fw0: GUID 00023f6b9940093a, S400
[    2.041518] ata2.00: ATAPI: MATSHITADVD-RAM UJ-841S, 1.70, max UDMA/33
[    2.057438] ata2.00: configured for UDMA/33
[    2.060404] scsi 1:0:0:0: CD-ROM            MATSHITA DVD-RAM UJ-841S  1.70 PQ: 0 ANSI: 5
[    2.076727] Uniform Multi-Platform E-IDE driver
[    2.086820] Driver 'sd' needs updating - please use bus_type methods
[    2.087027] sd 0:0:0:0: [sda] 156301488 512-byte hardware sectors: (80.0 GB/74.5 GiB)
[    2.087133] sd 0:0:0:0: [sda] Write Protect is off
[    2.087205] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    2.087230] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    2.087427]  sda: sda1 sda2 sda3 sda4
[    2.118295] sd 0:0:0:0: [sda] Attached SCSI disk
[    2.121955] Driver 'sr' needs updating - please use bus_type methods
[    2.126355] sr0: scsi3-mmc drive: 24x/24x writer dvd-ram cd/rw xa/form2 cdda tray
[    2.126447] Uniform CD-ROM driver Revision: 3.20
[    2.126619] sr 1:0:0:0: Attached scsi CD-ROM sr0
[    2.134101] sd 0:0:0:0: Attached scsi generic sg0 type 0
[    2.134211] sr 1:0:0:0: Attached scsi generic sg1 type 5
[    2.524291] PM: Starting manual resume from disk
[    2.590143] kjournald starting.  Commit interval 5 seconds
[    2.590150] EXT3-fs: mounted filesystem with ordered data mode.
[    5.360601] udev: starting version 141
[    5.833484] ACPI: SSDT 3f681241 001DE (v01  PmRef  Cpu0Ist 00003000 INTL 20050624)
[    5.834022] ACPI: SSDT 3f680fe0 001DC (v01  PmRef  Cpu0Cst 00003001 INTL 20050624)
[    5.834551] Marking TSC unstable due to TSC halts in idle
[    5.834691] ACPI: CPU0 (power states: C1[C1] C2[C2] C3[C3])
[    5.834981] processor ACPI_CPU:00: registered as cooling_device1
[    5.835466] ACPI: SSDT 3f68141f 0007D (v01  PmRef  Cpu1Ist 00003000 INTL 20050624)
[    5.835975] ACPI: SSDT 3f6811bc 00085 (v01  PmRef  Cpu1Cst 00003000 INTL 20050624)
[    5.836869] ACPI: CPU1 (power states: C1[C1] C2[C2] C3[C3])
[    5.837154] processor ACPI_CPU:01: registered as cooling_device2
[    5.838475] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
[    5.838571] ACPI: Power Button [PWRF]
[    5.838710] input: Lid Switch as /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input3
[    5.838867] ACPI: Lid Switch [LID0]
[    5.838992] input: Power Button as /devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input4
[    5.839086] ACPI: Power Button [PWRB]
[    5.860711] ACPI: Battery Slot [BAT1] (battery present)
[    6.053779] ACPI: AC Adapter [ACAD] (on-line)
[    6.294067] i801_smbus 0000:00:1f.3: PCI INT B -> GSI 19 (level, low) -> IRQ 19
[    6.379793] input: PS/2 Mouse as /devices/platform/i8042/serio4/input/input5
[    6.391133] input: PC Speaker as /devices/platform/pcspkr/input/input6
[    6.396477] input: AlpsPS/2 ALPS GlidePoint as /devices/platform/i8042/serio4/input/input7
[    6.450436] intel_rng: FWH not detected
[    6.691010] yenta_cardbus 0000:06:04.0: CardBus bridge found [1179:ff01]
[    6.691109] yenta_cardbus 0000:06:04.0: Using CSCINT to route CSC interrupts to PCI
[    6.691196] yenta_cardbus 0000:06:04.0: Routing CardBus interrupts to PCI
[    6.691271] yenta_cardbus 0000:06:04.0: TI: mfunc 0x89501212, devctl 0x44
[    6.704099] cfg80211: Using static regulatory domain info
[    6.704177] cfg80211: Regulatory domain: US
[    6.704248] 	(start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[    6.704336] 	(2402000 KHz - 2472000 KHz @ 40000 KHz), (600 mBi, 2700 mBm)
[    6.704411] 	(5170000 KHz - 5190000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[    6.704486] 	(5190000 KHz - 5210000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[    6.704561] 	(5210000 KHz - 5230000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[    6.704635] 	(5230000 KHz - 5330000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[    6.704709] 	(5735000 KHz - 5835000 KHz @ 40000 KHz), (600 mBi, 3000 mBm)
[    6.704788] cfg80211: Calling CRDA for country: US
[    6.925027] yenta_cardbus 0000:06:04.0: ISA IRQ mask 0x0cf8, PCI irq 16
[    6.925104] yenta_cardbus 0000:06:04.0: Socket status: 30000006
[    6.925177] pci_bus 0000:06: Raising subordinate bus# of parent bus (#06) from #07 to #0a
[    6.925271] yenta_cardbus 0000:06:04.0: pcmcia: parent PCI bridge I/O window: 0x5000 - 0x5fff
[    6.925361] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x5000-0x5fff: clean.
[    6.925741] yenta_cardbus 0000:06:04.0: pcmcia: parent PCI bridge Memory window: 0xdc000000 - 0xdc0fffff
[    6.925833] yenta_cardbus 0000:06:04.0: pcmcia: parent PCI bridge Memory window: 0x50000000 - 0x53ffffff
[    7.041524] iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux, 1.2.26ks
[    7.041625] iwl3945: Copyright(c) 2003-2009 Intel Corporation
[    7.041786] iwl3945 0000:04:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[    7.041877] iwl3945 0000:04:00.0: setting latency timer to 64
[    7.095533] iwl3945 0000:04:00.0: Tunable channels: 13 802.11bg, 23 802.11a channels
[    7.095620] iwl3945 0000:04:00.0: Detected Intel Wireless WiFi Link 3945ABG
[    7.591820] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x100-0x3af: clean.
[    7.594038] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x3e0-0x4ff: excluding 0x4d0-0x4d7
[    7.595116] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x820-0x8ff: clean.
[    7.595952] pcmcia_socket pcmcia_socket0: cs: IO port probe 0xc00-0xcf7: clean.
[    7.596988] pcmcia_socket pcmcia_socket0: cs: IO port probe 0xa00-0xaff: clean.
[    7.740188] phy0: Selected rate control algorithm 'iwl-3945-rs'
[    7.773920] HDA Intel 0000:00:1b.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
[    7.774049] HDA Intel 0000:00:1b.0: setting latency timer to 64
[    7.866016] hda_codec: Unknown model for ALC861, trying auto-probe from BIOS...
[    7.866197] input: HDA Digital PCBeep as /devices/pci0000:00/0000:00:1b.0/input/input8
[    8.001057] Clocksource tsc unstable (delta = -90370720 ns)
[    8.968431] Adding 2224992k swap on /dev/sda2.  Priority:-1 extents:1 across:2224992k 
[    9.471425] EXT3 FS on sda1, internal journal
[   10.143423] loop: module loaded
[   27.542824] fuse init (API version 7.11)
[   27.917681] kjournald starting.  Commit interval 5 seconds
[   27.918076] EXT3 FS on sda4, internal journal
[   27.918208] EXT3-fs: mounted filesystem with ordered data mode.
[   28.051558] FAT: utf8 is not a recommended IO charset for FAT filesystems, filesystem will be case sensitive!
[   63.735129] ip_tables: (C) 2000-2006 Netfilter Core Team
[   75.149823] iwl3945 0000:04:00.0: firmware: requesting iwlwifi-3945-2.ucode
[   75.434545] iwl3945 0000:04:00.0: loaded firmware version 15.32.2.9
[   75.479434] Registered led device: iwl-phy0::radio
[   75.479600] Registered led device: iwl-phy0::assoc
[   75.479709] Registered led device: iwl-phy0::RX
[   75.479817] Registered led device: iwl-phy0::TX
[   75.501340] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[   79.040837] r8169: eth0: link up
[   79.040926] r8169: eth0: link up
[   81.372815] r8169: eth0: link up
[   87.063565] [drm] Initialized drm 1.1.0 20060810
[   87.090575] pci 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[   87.090588] pci 0000:00:02.0: setting latency timer to 64
[   87.096311] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
[   92.060057] eth0: no IPv6 routers present
[  168.436166] usb 4-1: new low speed USB device using uhci_hcd and address 2
[  168.611221] usb 4-1: New USB device found, idVendor=046d, idProduct=c50e
[  168.611233] usb 4-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[  168.611240] usb 4-1: Product: USB RECEIVER
[  168.611245] usb 4-1: Manufacturer: Logitech
[  168.611439] usb 4-1: configuration #1 chosen from 1 choice
[  168.655268] usbcore: registered new interface driver hiddev
[  168.674250] input: Logitech USB RECEIVER as /devices/pci0000:00/0000:00:1d.2/usb4/4-1/4-1:1.0/input/input9
[  168.674445] generic-usb 0003:046D:C50E.0001: input,hidraw0: USB HID v1.11 Mouse [Logitech USB RECEIVER] on usb-0000:00:1d.2-1/input0
[  168.674487] usbcore: registered new interface driver usbhid
[  168.674494] usbhid: v2.6:USB HID core driver
[  202.818307] ACPI: EC: GPE storm detected, transactions will use polling mode
[ 8710.000141] ------------[ cut here ]------------
[ 8710.000162] WARNING: at /build/buildd-linux-2.6_2.6.30-6-i386-7SwQ62/linux-2.6-2.6.30/debian/build/source_i386_none/net/sched/sch_generic.c:226 dev_watchdog+0xa8/0x135()
[ 8710.000171] Hardware name: Satellite A110
[ 8710.000176] NETDEV WATCHDOG: eth0 (r8169): transmit timed out
[ 8710.000181] Modules linked in: usbhid hid binfmt_misc i915 drm i2c_algo_bit acpi_cpufreq cpufreq_powersave cpufreq_userspace cpufreq_conservative cpufreq_stats iptable_filter ip_tables x_tables nls_utf8 nls_cp437 vfat fat nls_base fuse firewire_sbp2 loop snd_hda_codec_realtek snd_hda_intel arc4 snd_hda_codec snd_hwdep ecb snd_pcm_oss snd_mixer_oss snd_pcm snd_seq_midi snd_rawmidi snd_seq_midi_event snd_seq pcmcia iwl3945 snd_timer iwlcore rfkill mac80211 snd_seq_device yenta_socket rsrc_nonstatic snd cfg80211 soundcore snd_page_alloc rng_core pcmcia_core joydev pcspkr i2c_i801 i2c_core psmouse serio_raw evdev ac container button processor battery ext3 jbd mbcache sg sr_mod cdrom sd_mod crc_t10dif ide_pci_generic ide_core ata_generic ata_piix libata sdhci_pci sdhci r8169 mii uhci_hcd firewire_ohci firewire_core crc_itu_t mmc_core led_class ehci_hcd scsi_mod usbcore intel_agp agpgart video output thermal fan thermal_sys dm_mirror dm_region_hash dm_log dm_mod
[ 8710.000384] Pid: 0, comm: swapper Not tainted 2.6.30-1-686 #1
[ 8710.000390] Call Trace:
[ 8710.000403]  [<c0127000>] ? warn_slowpath_common+0x5e/0x8a
[ 8710.000412]  [<c029ee0c>] ? dev_watchdog+0x0/0x135
[ 8710.000421]  [<c012705e>] ? warn_slowpath_fmt+0x26/0x2a
[ 8710.000430]  [<c029eeb4>] ? dev_watchdog+0xa8/0x135
[ 8710.000440]  [<c0133da3>] ? insert_work+0x71/0x78
[ 8710.000448]  [<c01343bb>] ? delayed_work_timer_fn+0x0/0x28
[ 8710.000459]  [<c012e3b7>] ? run_timer_softirq+0x13d/0x19d
[ 8710.000467]  [<c029ee0c>] ? dev_watchdog+0x0/0x135
[ 8710.000478]  [<c012b0ff>] ? __do_softirq+0x8e/0x135
[ 8710.000487]  [<c012b1d4>] ? do_softirq+0x2e/0x38
[ 8710.000496]  [<c012b2b7>] ? irq_exit+0x26/0x53
[ 8710.000506]  [<c01049ea>] ? do_IRQ+0x65/0x76
[ 8710.000515]  [<c01036c9>] ? common_interrupt+0x29/0x30
[ 8710.000545]  [<f84fc17d>] ? acpi_idle_enter_bm+0x246/0x281 [processor]
[ 8710.000557]  [<c027e771>] ? cpuidle_idle_call+0x5d/0x90
[ 8710.000566]  [<c0102399>] ? cpu_idle+0x46/0x61
[ 8710.000577]  [<c044676d>] ? start_kernel+0x2c2/0x2c5
[ 8710.000583] ---[ end trace a602c74910d218fd ]---
[ 8710.016177] r8169: eth0: link up
[ 8749.440166] r8169 0000:05:00.0: PCI INT A disabled
[ 8754.465431] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
[ 8754.465471] r8169 0000:05:00.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
[ 8754.465503] r8169 0000:05:00.0: setting latency timer to 64
[ 8754.465615] r8169 0000:05:00.0: no MSI. Back to INTx.
[ 8754.467196] eth0: RTL8101e at 0xf928c000, 00:16:d4:2d:bd:0b, XID 34000000 IRQ 18
[ 8759.125771] r8169: eth0: link up
[ 8759.125788] r8169: eth0: link up
[ 8770.282000] r8169: eth0: link up
[ 8781.008148] eth0: no IPv6 routers present
[ 8851.005100] r8169 0000:05:00.0: PCI INT A disabled
[ 8854.820845] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
[ 8854.820886] r8169 0000:05:00.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
[ 8854.820920] r8169 0000:05:00.0: setting latency timer to 64
[ 8854.821086] r8169 0000:05:00.0: no MSI. Back to INTx.
[ 8854.822678] eth0: RTL8101e at 0xf92b0000, 00:16:d4:2d:bd:0b, XID 34000000 IRQ 18
[ 8860.954949] r8169: eth0: link up
[ 8860.954967] r8169: eth0: link up
[ 8867.100755] r8169: eth0: link up
[ 8877.952106] eth0: no IPv6 routers present
[ 8956.095263] r8169: eth0: link up
[ 8966.773126] eth0: no IPv6 routers present
[ 8975.410291] Registered led device: iwl-phy0::radio
[ 8975.410387] Registered led device: iwl-phy0::assoc
[ 8975.410429] Registered led device: iwl-phy0::RX
[ 8975.410469] Registered led device: iwl-phy0::TX
[ 8975.422242] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 8975.496367] wlan0: direct probe to AP 00:1a:92:b8:a5:0e try 1
[ 8975.498729] wlan0 direct probe responded
[ 8975.498735] wlan0: authenticate with AP 00:1a:92:b8:a5:0e
[ 8975.500377] wlan0: authenticate with AP 00:1a:92:b8:a5:0e
[ 8975.502755] wlan0: authenticated
[ 8975.502763] wlan0: associate with AP 00:1a:92:b8:a5:0e
[ 8975.505784] wlan0: RX AssocResp from 00:1a:92:b8:a5:0e (capab=0x401 status=0 aid=2)
[ 8975.505792] wlan0: associated
[ 8975.507534] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[ 8986.052147] wlan0: no IPv6 routers present

Removed tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 17 Dec 2009 13:39:05 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://bugzilla.kernel.org/show_bug.cgi?id=14962'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 30 Dec 2009 16:39:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#526983; Package linux-2.6. (Tue, 12 Jan 2010 22:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcel Meckel <debian@thermoman.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 12 Jan 2010 22:36:07 GMT) Full text and rfc822 format available.

Message #38 received at 526983@bugs.debian.org (full text, mbox):

From: Marcel Meckel <debian@thermoman.de>
To: 526983@bugs.debian.org
Subject: r8169
Date: Tue, 12 Jan 2010 23:26:05 +0100
Package: linux-image-2.6.26-2-amd64
Version: 2.6.26-19lenny2
Severity: important

I can confirm this problem with latest debian lenny packages.

Error when network load is high:

Jan 12 14:16:17 wtf kernel: [1967737.278889] NETDEV WATCHDOG: eth0: transmit timed out
Jan 12 14:16:17 wtf kernel: [1967737.278929] ------------[ cut here ]------------
Jan 12 14:16:17 wtf kernel: [1967737.278958] WARNING: at net/sched/sch_generic.c:222 dev_watchdog+0xa6/0xfb()
Jan 12 14:16:17 wtf kernel: [1967737.279018] Modules linked in: kvm_intel kvm tun sha256_generic aes_x86_64 aes_generic cbc dm_crypt crypto_blkcipher iptable_nat nf_nat xt_multiport xt_limit xt_tcpudp nf_conntrack_ipv4 xt_state nf_conntrack ipt_REJECT iptable_filter ip_tables x_tables bridge ext2 f71882fg ext3 jbd mbcache dm_mirror dm_log dm_snapshot dm_mod raid1 md_mod sd_mod ahci r8169 libata scsi_mod dock processor thermal_sys [last unloaded: kvm]
Jan 12 14:16:17 wtf kernel: [1967737.279304] Pid: 0, comm: swapper Not tainted 2.6.26-2-amd64 #1
Jan 12 14:16:17 wtf kernel: [1967737.279333] 
Jan 12 14:16:17 wtf kernel: [1967737.279333] Call Trace:
Jan 12 14:16:17 wtf kernel: [1967737.279375]  <IRQ>  [<ffffffff80234a0c>] warn_on_slowpath+0x51/0x7a
Jan 12 14:16:17 wtf kernel: [1967737.279412]  [<ffffffff803cc816>] dev_watchdog+0x0/0xfb
Jan 12 14:16:17 wtf kernel: [1967737.279441]  [<ffffffff80235461>] printk+0x4e/0x56
Jan 12 14:16:17 wtf kernel: [1967737.279470]  [<ffffffff8023cf75>] lock_timer_base+0x26/0x4b
Jan 12 14:16:17 wtf kernel: [1967737.279500]  [<ffffffff8023d104>] __mod_timer+0xbd/0xcc
Jan 12 14:16:17 wtf kernel: [1967737.279530]  [<ffffffff802438a3>] queue_delayed_work_on+0xb8/0xc8
Jan 12 14:16:17 wtf kernel: [1967737.279561]  [<ffffffff803cc816>] dev_watchdog+0x0/0xfb
Jan 12 14:16:17 wtf kernel: [1967737.279589]  [<ffffffff803cc8bc>] dev_watchdog+0xa6/0xfb
Jan 12 14:16:17 wtf kernel: [1967737.279617]  [<ffffffff803cc816>] dev_watchdog+0x0/0xfb
Jan 12 14:16:17 wtf kernel: [1967737.279646]  [<ffffffff8023ca35>] run_timer_softirq+0x16a/0x1e2
Jan 12 14:16:17 wtf kernel: [1967737.279677]  [<ffffffff80239403>] __do_softirq+0x5c/0xd1
Jan 12 14:16:17 wtf kernel: [1967737.279707]  [<ffffffff8020d2cc>] call_softirq+0x1c/0x28
Jan 12 14:16:17 wtf kernel: [1967737.279736]  [<ffffffff8020f3d8>] do_softirq+0x3c/0x81
Jan 12 14:16:17 wtf kernel: [1967737.279764]  [<ffffffff80239363>] irq_exit+0x3f/0x83
Jan 12 14:16:17 wtf kernel: [1967737.279792]  [<ffffffff8021aa7b>] smp_apic_timer_interrupt+0x8c/0xa4
Jan 12 14:16:17 wtf kernel: [1967737.279823]  [<ffffffff8020ccf2>] apic_timer_interrupt+0x72/0x80
Jan 12 14:16:17 wtf kernel: [1967737.279852]  <EOI>  [<ffffffffa000826d>] :processor:acpi_idle_enter_bm+0x2b3/0x327
Jan 12 14:16:17 wtf kernel: [1967737.279909]  [<ffffffff803aa728>] cpuidle_idle_call+0x7a/0xb2
Jan 12 14:16:17 wtf kernel: [1967737.279938]  [<ffffffff803aa6ae>] cpuidle_idle_call+0x0/0xb2
Jan 12 14:16:17 wtf kernel: [1967737.279967]  [<ffffffff8020ac79>] cpu_idle+0x89/0xb3
Jan 12 14:16:17 wtf kernel: [1967737.279996] 
Jan 12 14:16:17 wtf kernel: [1967737.280016] ---[ end trace db0b2e9f487d3b4d ]---
Jan 12 14:16:17 wtf kernel: [1967737.299403] r8169: eth0: link up

Seems like the interface went down and came up right away - i didn't even noticed
this problem until i checked dmesg.

Maybe the counter is wrong or there are really this many packets dropped:

% ifconfig
eth0      Link encap:Ethernet  HWaddr 00:24:21:XX:XX:XX  
          inet addr:XXX.XXX.XXX.XXX  Bcast:XXX.XXX.XXX.255  Mask:255.255.255.255
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:96607465 errors:0 dropped:34911509435217 overruns:0 frame:0
          TX packets:116667448 errors:0 dropped:46 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:86936665600 (80.9 GiB)  TX bytes:112516773583 (104.7 GiB)
          Interrupt:250 Base address:0x6000

Hardware:

% lspci -nn
00:00.0 Host bridge [0600]: Intel Corporation X58 I/O Hub to ESI Port [8086:3405] (rev 13)
00:01.0 PCI bridge [0604]: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root Port 1 [8086:3408] (rev 13)
00:03.0 PCI bridge [0604]: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root Port 3 [8086:340a] (rev 13)
00:07.0 PCI bridge [0604]: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root Port 7 [8086:340e] (rev 13)
00:14.0 PIC [0800]: Intel Corporation 5520/5500/X58 I/O Hub System Management Registers [8086:342e] (rev 13)
00:14.1 PIC [0800]: Intel Corporation 5520/5500/X58 I/O Hub GPIO and Scratch Pad Registers [8086:3422] (rev 13)
00:14.2 PIC [0800]: Intel Corporation 5520/5500/X58 I/O Hub Control Status and RAS Registers [8086:3423] (rev 13)
00:14.3 PIC [0800]: Intel Corporation 5520/5500/X58 I/O Hub Throttle Registers [8086:3438] (rev 13)
00:1a.0 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #4 [8086:3a37]
00:1a.1 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #5 [8086:3a38]
00:1a.2 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #6 [8086:3a39]
00:1a.7 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #2 [8086:3a3c]
00:1c.0 PCI bridge [0604]: Intel Corporation 82801JI (ICH10 Family) PCI Express Port 1 [8086:3a40]
00:1c.4 PCI bridge [0604]: Intel Corporation 82801JI (ICH10 Family) PCI Express Port 5 [8086:3a48]
00:1d.0 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #1 [8086:3a34]
00:1d.1 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #2 [8086:3a35]
00:1d.2 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #3 [8086:3a36]
00:1d.7 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #1 [8086:3a3a]
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev 90)
00:1f.0 ISA bridge [0601]: Intel Corporation 82801JIR (ICH10R) LPC Interface Controller [8086:3a16]
00:1f.2 SATA controller [0106]: Intel Corporation 82801JI (ICH10 Family) SATA AHCI Controller [8086:3a22]
00:1f.3 SMBus [0c05]: Intel Corporation 82801JI (ICH10 Family) SMBus Controller [8086:3a30]
02:00.0 VGA compatible controller [0300]: nVidia Corporation G98 [GeForce 8400 GS] [10de:06e4] (rev a1)
06:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 02)

% cat /proc/interrupts 
           CPU0       CPU1       CPU2       CPU3       CPU4       CPU5       CPU6       CPU7       
  0:         36          0          0  186192002          0          0          0          0   IO-APIC-edge      timer
  1:          0          0          0        160          0          0          0          0   IO-APIC-edge      i8042
  8:          0          0          0          1          0          0          0          0   IO-APIC-edge      rtc0
  9:          0          0          0          0          0          0          0          0   IO-APIC-fasteoi   acpi
1273:          0   39977837          0          0          0          0          0          0   PCI-MSI-edge      ahci
1274:  139715346          0          0          0          0          0          0          0   PCI-MSI-edge      eth0
NMI:          0          0          0          0          0          0          0          0   Non-maskable interrupts
LOC:   48293328   16073328   15892105     621752   36182069   13277026   14285508   16625434   Local timer interrupts
RES:   13870686   33601781    7996828    7741088   52588568   28611068    6949762    6348231   Rescheduling interrupts
CAL:     320134     195084     830927     762879    8264337     528551     859674     589289   function call interrupts
TLB:        872       1400       1819       1601      15467       6167       8577       8294   TLB shootdowns
TRM:          0          0          0          0          0          0          0          0   Thermal event interrupts
THR:          0          0          0          0          0          0          0          0   Threshold APIC interrupts
SPU:          0          0          0          0          0          0          0          0   Spurious interrupts
ERR:          0

% lsmod
Module                  Size  Used by
kvm_intel              39776  5 
kvm                   127592  1 kvm_intel
tun                    14084  5 
sha256_generic         13696  0 
aes_x86_64             12416  2 
aes_generic            32552  1 aes_x86_64
cbc                     7936  1 
dm_crypt               17032  1 
crypto_blkcipher       21636  3 cbc,dm_crypt
iptable_nat             9872  1 
nf_nat                 23192  1 iptable_nat
xt_multiport            7424  2 
xt_limit                7172  1 
xt_tcpudp               7680  1 
nf_conntrack_ipv4      19352  8 iptable_nat,nf_nat
xt_state                6656  5 
nf_conntrack           71440  4 iptable_nat,nf_nat,nf_conntrack_ipv4,xt_state
ipt_REJECT              7552  2 
iptable_filter          7424  1 
ip_tables              21520  2 iptable_nat,iptable_filter
x_tables               25224  7 iptable_nat,xt_multiport,xt_limit,xt_tcpudp,xt_state,ipt_REJECT,ip_tables
bridge                 53544  0 
ext2                   66576  1 
f71882fg               15244  0 
ext3                  125072  2 
jbd                    51240  1 ext3
mbcache                12804  2 ext2,ext3
dm_mirror              20608  0 
dm_log                 13956  1 dm_mirror
dm_snapshot            19400  0 
dm_mod                 58864  22 dm_crypt,dm_mirror,dm_log,dm_snapshot
raid1                  24192  3 
md_mod                 80292  4 raid1
sd_mod                 29376  8 
ahci                   33036  6 
r8169                  31364  0 
libata                165600  1 ahci
scsi_mod              161016  2 sd_mod,libata
dock                   14112  1 libata
processor              42304  8 
thermal_sys            17728  1 processor

% cat /proc/version 
Linux version 2.6.26-2-amd64 (Debian 2.6.26-19lenny2) (dannf@debian.org) (gcc version 4.1.3 20080704 (prerelease) (Debian 4.1.2-25)) #1 SMP Thu Nov 5 02:23:12 UTC 2009

Marcel.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#526983; Package linux-2.6. (Tue, 12 Jan 2010 23:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 12 Jan 2010 23:48:03 GMT) Full text and rfc822 format available.

Message #43 received at 526983@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Marcel Meckel <debian@thermoman.de>, 526983@bugs.debian.org
Subject: Re: Bug#526983: r8169
Date: Tue, 12 Jan 2010 23:47:04 +0000
[Message part 1 (text/plain, inline)]
On Tue, 2010-01-12 at 23:26 +0100, Marcel Meckel wrote:
> Package: linux-image-2.6.26-2-amd64
> Version: 2.6.26-19lenny2
> Severity: important
> 
> I can confirm this problem with latest debian lenny packages.
> 
> Error when network load is high:

There is a newer version in stable-proposed-updates (2.6.26-21) which
has a lot of bug fixes for r8169, but I don't know whether they would
fix this.  Please could you test it?

To install the new version:

1. Add this line to your APT sources (/etc/apt/sources/list):
       deb http://ftp.debian.org/debian/ stable-proposed-updates main
2. Run: apt-get update
3. Run: apt-get install linux-image-2.6.26-2-amd64=2.6.26-21
4. Remove the extra line from your APT sources

Ben.

-- 
Ben Hutchings
The generation of random numbers is too important to be left to chance.
                                                            - Robert Coveyou
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#526983; Package linux-2.6. (Wed, 13 Jan 2010 19:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcel Meckel <debian@thermoman.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 13 Jan 2010 19:03:04 GMT) Full text and rfc822 format available.

Message #48 received at 526983@bugs.debian.org (full text, mbox):

From: Marcel Meckel <debian@thermoman.de>
To: 526983@bugs.debian.org
Subject: r8169
Date: Wed, 13 Jan 2010 20:01:42 +0100
Package: linux-image-2.6.26-2-amd64
Version: 2.6.26-20
Severity: important

Just installed 2.6.26-20 (there was no -21) from lenny-proposed-updates
and there is the same error:

% dmesg
[20575.258740] CE: hpet increasing min_delta_ns to 15000 nsec
[22731.176203] NETDEV WATCHDOG: eth0: transmit timed out
[22731.176203] ------------[ cut here ]------------
[22731.176203] WARNING: at net/sched/sch_generic.c:222 dev_watchdog+0xa6/0xfb()
[22731.176203] Modules linked in: sha256_generic aes_x86_64 aes_generic cbc dm_crypt crypto_blkcipher iptable_nat nf_nat xt_multiport xt_limit xt_tcpudp nf_conntrack_ipv4 xt_state nf_conntrack ipt_REJECT iptable_filter ip_tables x_tables tun kvm_intel kvm bridge ext2 f71882fg ext3 jbd mbcache dm_mirror dm_log dm_snapshot dm_mod raid1 md_mod sd_mod ahci libata scsi_mod dock r8169 processor thermal_sys [last unloaded: scsi_wait_scan]
[22731.176203] Pid: 0, comm: swapper Not tainted 2.6.26-2-amd64 #1
[22731.176203]
[22731.176203] Call Trace:
[22731.176203]  <IRQ>  [<ffffffff80234a0c>] warn_on_slowpath+0x51/0x7a
[22731.176203]  [<ffffffff803cc7f6>] dev_watchdog+0x0/0xfb
[22731.176203]  [<ffffffff802354a7>] printk+0x4e/0x56
[22731.176203]  [<ffffffff8023cfb9>] lock_timer_base+0x26/0x4b
[22731.176203]  [<ffffffff8023d148>] __mod_timer+0xbd/0xcc
[22731.176203]  [<ffffffff802438eb>] queue_delayed_work_on+0xb8/0xc8
[22731.176203]  [<ffffffff803cc7f6>] dev_watchdog+0x0/0xfb
[22731.176203]  [<ffffffff803cc89c>] dev_watchdog+0xa6/0xfb
[22731.176203]  [<ffffffff803cc7f6>] dev_watchdog+0x0/0xfb
[22731.176203]  [<ffffffff8023ca79>] run_timer_softirq+0x16a/0x1e2
[22731.176203]  [<ffffffff80239447>] __do_softirq+0x5c/0xd1
[22731.176203]  [<ffffffff8020d2cc>] call_softirq+0x1c/0x28
[22731.176203]  [<ffffffff8020f3d8>] do_softirq+0x3c/0x81
[22731.176203]  [<ffffffff802393a7>] irq_exit+0x3f/0x83
[22731.176203]  [<ffffffff8021aa6b>] smp_apic_timer_interrupt+0x8c/0xa4
[22731.176203]  [<ffffffff8020ccf2>] apic_timer_interrupt+0x72/0x80
[22731.176203]  <EOI>  [<ffffffffa000826d>] :processor:acpi_idle_enter_bm+0x2b3/0x327
[22731.176203]  [<ffffffff8026dddd>] rcu_needs_cpu+0x32/0x41
[22731.176203]  [<ffffffff803aa704>] cpuidle_idle_call+0x7a/0xb2
[22731.176203]  [<ffffffff803aa68a>] cpuidle_idle_call+0x0/0xb2
[22731.176203]  [<ffffffff8020ac79>] cpu_idle+0x89/0xb3
[22731.176203]
[22731.176203] ---[ end trace 23d925b5bc3e605e ]---
[22731.190601] r8169: eth0: link up

% lsmod
Module                  Size  Used by
sha256_generic         13696  0 
aes_x86_64             12416  2 
aes_generic            32552  1 aes_x86_64
cbc                     7936  1 
dm_crypt               17032  1 
crypto_blkcipher       21636  3 cbc,dm_crypt
iptable_nat             9872  1 
nf_nat                 23192  1 iptable_nat
xt_multiport            7424  2 
xt_limit                7172  1 
xt_tcpudp               7680  1 
nf_conntrack_ipv4      19352  8 iptable_nat,nf_nat
xt_state                6656  5 
nf_conntrack           71440  4 iptable_nat,nf_nat,nf_conntrack_ipv4,xt_state
ipt_REJECT              7552  2 
iptable_filter          7424  1 
ip_tables              21520  2 iptable_nat,iptable_filter
x_tables               25224  7 iptable_nat,xt_multiport,xt_limit,xt_tcpudp,xt_state,ipt_REJECT,ip_tables
tun                    14084  5 
kvm_intel              39776  5 
kvm                   127592  1 kvm_intel
bridge                 53544  0 
ext2                   66576  1 
f71882fg               15244  0 
ext3                  125072  2 
jbd                    51240  1 ext3
mbcache                12804  2 ext2,ext3
dm_mirror              20608  0 
dm_log                 13956  1 dm_mirror
dm_snapshot            19400  0 
dm_mod                 58864  22 dm_crypt,dm_mirror,dm_log,dm_snapshot
raid1                  24192  3 
md_mod                 80292  4 raid1
sd_mod                 29376  8 
ahci                   33036  6 
libata                165600  1 ahci
scsi_mod              161016  2 sd_mod,libata
dock                   14112  1 libata
r8169                  31364  0 
processor              42304  8 
thermal_sys            17728  1 processor


% cat /proc/version 
Linux version 2.6.26-2-amd64 (Debian 2.6.26-20) (dannf@debian.org) (gcc version 4.1.3 20080704 (prerelease) (Debian 4.1.2-25)) #1 SMP Mon Oct 26 10:39:40 UTC 2009

Marcel.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#526983; Package linux-2.6. (Wed, 13 Jan 2010 19:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcel Meckel <debian@thermoman.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 13 Jan 2010 19:18:06 GMT) Full text and rfc822 format available.

Message #53 received at 526983@bugs.debian.org (full text, mbox):

From: Marcel Meckel <debian@thermoman.de>
To: 526983@bugs.debian.org
Subject: r8169
Date: Wed, 13 Jan 2010 20:16:18 +0100
Ok now there is 2.6.26-21 ... just booted this kernel and will report
back with details.

Marcel.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#526983; Package linux-2.6. (Sat, 16 Jan 2010 14:12:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcel Meckel <debian@thermoman.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 16 Jan 2010 14:12:18 GMT) Full text and rfc822 format available.

Message #58 received at 526983@bugs.debian.org (full text, mbox):

From: Marcel Meckel <debian@thermoman.de>
To: 526983@bugs.debian.org
Subject: r8169
Date: Sat, 16 Jan 2010 15:08:59 +0100
linux-image-2.6.26-2-amd64-2.6.26-21 fixes this r8169 issue for me.

No more problems.

Thanks!

Marcel.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#526983; Package linux-2.6. (Sun, 17 Jan 2010 15:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 17 Jan 2010 15:18:03 GMT) Full text and rfc822 format available.

Message #63 received at 526983@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Carlos Fonseca <cmfonsec@ualg.pt>, 526983@bugs.debian.org
Subject: Re: linux-image-2.6.29-1-amd64: NETDEV WATCHDOG: eth0 (r8169): transmit timed out
Date: Sun, 17 Jan 2010 15:15:51 +0000
[Message part 1 (text/plain, inline)]
I believe this bug was fixed in upstream version 2.6.32.  This is now
available in sid; please can you test it?

Ben.

-- 
Ben Hutchings
I'm not a reverse psychological virus.  Please don't copy me into your sig.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#526983; Package linux-2.6. (Sun, 17 Jan 2010 15:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 17 Jan 2010 15:18:05 GMT) Full text and rfc822 format available.

Message #68 received at 526983@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Victor Pablos Ceruelo <victorpablosceruelo@gmail.com>, 526983@bugs.debian.org
Subject: Re: linux-image-2.6.29-1-amd64: NETDEV WATCHDOG: eth0 (r8169): transmit timed out
Date: Sun, 17 Jan 2010 15:17:03 +0000
[Message part 1 (text/plain, inline)]
I believe this bug was fixed in upstream version 2.6.32.  This is now
available in sid; please can you test it?

Ben.

-- 
Ben Hutchings
I'm not a reverse psychological virus.  Please don't copy me into your sig.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#526983; Package linux-2.6. (Sun, 17 Jan 2010 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 17 Jan 2010 15:21:03 GMT) Full text and rfc822 format available.

Message #73 received at 526983@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Jakub Zeman <jzeman@voicebow.cz>, 526983@bugs.debian.org
Subject: Re: NETDEV WATCHDOG: eth0 (r8169): transmit timed out
Date: Sun, 17 Jan 2010 15:18:02 +0000
[Message part 1 (text/plain, inline)]
There is a newer version in stable-proposed-updates (2.6.26-21) which
has a lot of bug fixes for r8169, but I don't know whether they would
fix this.  Please could you test it?

To install the new version:

1. Add this line to your APT sources (/etc/apt/sources/list):
       deb http://ftp.debian.org/debian/ stable-proposed-updates main
2. Run: apt-get update
3. Run: apt-get install linux-image-2.6.26-2-amd64=2.6.26-21
4. Remove the extra line from your APT sources

Ben.

-- 
Ben Hutchings
I'm not a reverse psychological virus.  Please don't copy me into your sig.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#526983; Package linux-2.6. (Sun, 17 Jan 2010 15:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 17 Jan 2010 15:27:03 GMT) Full text and rfc822 format available.

Message #78 received at 526983@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Victor Pablos Ceruelo <victorpablosceruelo@gmail.com>
Cc: 526983@bugs.debian.org
Subject: Re: linux-image-2.6.29-1-amd64: NETDEV WATCHDOG: eth0 (r8169): transmit timed out
Date: Sun, 17 Jan 2010 15:21:47 +0000
[Message part 1 (text/plain, inline)]
On Sun, 2010-01-17 at 15:17 +0000, Ben Hutchings wrote:
> I believe this bug was fixed in upstream version 2.6.32.  This is now
> available in sid; please can you test it?

I now realise that I already wrote to you about bug #528362, where you
originally reported this, and that you said the bug was not fixed in
2.6.32.  I think that #528362 and #526983 may be different bugs.

Ben.

-- 
Ben Hutchings
I'm not a reverse psychological virus.  Please don't copy me into your sig.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#526983; Package linux-2.6. (Sun, 17 Jan 2010 15:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 17 Jan 2010 15:36:03 GMT) Full text and rfc822 format available.

Message #83 received at 526983@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 526983@bugs.debian.org
Subject: Summary of r8169 watchdog bug reports
Date: Sun, 17 Jan 2010 15:33:32 +0000
[Message part 1 (text/plain, inline)]
I suspect that this bug is due to incorrect initialisation of RTL8101E
or RTL8102E chips.  This was supposed to be fixed upstream in 2.6.32 and
was backported to 2.6.26-21.

There are currently 4 submitters to this bug:

Carlos Fonseca <cmfonsec@ualg.pt>
using RTL8101E/RTL8102E chip
not yet known whether this is fixed

Victor Pablos Ceruelo <victorpablosceruelo@gmail.com>
using RTL8101E/RTL8102E chip
reported in #528362 that this is not fixed in 2.6.32

Jakub Zeman <jzeman@voicebow.cz>
using D945GCLF2 motherboard which I think has an RTL8101E chip
not yet known whether this is fixed

Marcel Meckel <debian@thermoman.de>
using unknown hardware
reported as fixed in 2.6.26-21

Ben.

-- 
Ben Hutchings
I'm not a reverse psychological virus.  Please don't copy me into your sig.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#526983; Package linux-2.6. (Sun, 17 Jan 2010 16:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Victor Pablos Ceruelo <victorpablosceruelo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 17 Jan 2010 16:27:02 GMT) Full text and rfc822 format available.

Message #88 received at 526983@bugs.debian.org (full text, mbox):

From: Victor Pablos Ceruelo <victorpablosceruelo@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 526983@bugs.debian.org, 528362@bugs.debian.org
Subject: Re: linux-image-2.6.29-1-amd64: NETDEV WATCHDOG: eth0 (r8169): transmit timed out
Date: Sun, 17 Jan 2010 17:25:01 +0100
[Message part 1 (text/plain, inline)]
Maybe not so different, behavior is similar and logs too.
In
http://bugzilla.kernel.org/show_bug.cgi?id=14962
they told me to download and try r8168 driver
at www.realtek.com.tw

I'll give it a try and let you know (I'll let them know too, of course),
but I don't like the idea of installing non-debian sw ... ;-)

Regards,

Victor.

Ben Hutchings wrote:
> On Sun, 2010-01-17 at 15:17 +0000, Ben Hutchings wrote:
>   
>> I believe this bug was fixed in upstream version 2.6.32.  This is now
>> available in sid; please can you test it?
>>     
>
> I now realise that I already wrote to you about bug #528362, where you
> originally reported this, and that you said the bug was not fixed in
> 2.6.32.  I think that #528362 and #526983 may be different bugs.
>
> Ben.
>
>   


-- 
---------------------------------------------------------------------
---------------------------------------------------------------------

Víctor Pablos Ceruelo - Software Engineer, Phd student. 

Telephone number: +34 655 53 64 27
Email: vpablos at fi dot upm dot es or
      victorpablosceruelo at gmail dot com
Msn:   victorpablosceruelo at gmail dot com
Skype: victorpablosceruelo
Web page: https://babel.ls.fi.upm.es/~vpablos/
---------------------------------------------------------------------
---------------------------------------------------------------------
Si ha recibido este correo electrónico por error, le informamos que 
puede contener información confidencial y que está prohibido su uso.
Le rogamos lo comunique a su remitente y lo elimine. 
Gracias por su colaboración.

If you receive this e-mail by error, please note that it may contain 
confidential information, therefore, the use of this information is
strictly forbidden. Please inform the sender of the error and delete 
the information received. 
Thank you for your collaboration. 
---------------------------------------------------------------------
---------------------------------------------------------------------


[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#526983; Package linux-2.6. (Sun, 17 Jan 2010 23:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcel Meckel <debian@thermoman.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 17 Jan 2010 23:57:02 GMT) Full text and rfc822 format available.

Message #93 received at 526983@bugs.debian.org (full text, mbox):

From: Marcel Meckel <debian@thermoman.de>
To: 526983@bugs.debian.org
Subject: r8169
Date: Mon, 18 Jan 2010 00:53:19 +0100
> Marcel Meckel <debian@thermoman.de>
> using unknown hardware
> reported as fixed in 2.6.26-21

06:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 02)

as reported in comment 38.

Marcel.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#526983; Package linux-2.6. (Mon, 18 Jan 2010 23:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Fonseca <cmfonsec@ualg.pt>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 18 Jan 2010 23:03:06 GMT) Full text and rfc822 format available.

Message #98 received at 526983@bugs.debian.org (full text, mbox):

From: Carlos Fonseca <cmfonsec@ualg.pt>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 526983@bugs.debian.org
Subject: Re: linux-image-2.6.29-1-amd64: NETDEV WATCHDOG: eth0 (r8169): transmit timed out
Date: Mon, 18 Jan 2010 22:32:05 +0000 (WET)
[Message part 1 (text/plain, inline)]
On Sun, 17 Jan 2010, Ben Hutchings wrote:

> I believe this bug was fixed in upstream version 2.6.32.  This is now
> available in sid; please can you test it?
>
> Ben.

I have just tried it with linux-image-2.6.32-trunk-amd64_2.6.32-4, and the 
timeout ocurred shortly after boot while rsyncing a large directory (see 
below). I have just installed linux-image-2.6.32-trunk-amd64_2.6.32-5, and 
will try to reproduce it with that kernel, as well.

Is there anything else I can do to help debug this?

Carlos


[  163.804080] ------------[ cut here ]------------
[  163.804099] WARNING: at /build/buildd-linux-2.6_2.6.32-4-amd64-2Mp3BR/linux-2.6-2.6.32/debian/build/source_amd64_none/net/sched/sch_generic.c:261 dev_watchdog+0xe2/0x194()
[  163.804106] Hardware name: Satellite A110
[  163.804111] NETDEV WATCHDOG: eth0 (r8169): transmit queue 0 timed out
[  163.804115] Modules linked in: i915 drm_kms_helper drm i2c_algo_bit bridge stp bnep sco rfcomm l2cap crc16 bluetooth xt_multiport xt_state autofs4 cpufreq_stats cpufreq_userspace cpufreq_powersave cpufreq_conservative ipt_LOG iptable_mangle iptable_filter iptable_nat ip_tables nf_nat x_tables nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 fuse pcspkr coretemp acpi_cpufreq firewire_sbp2 loop snd_hda_codec_realtek snd_hda_intel snd_hda_codec arc4 snd_hwdep ecb snd_pcm_oss snd_mixer_oss snd_pcm joydev snd_seq_midi battery snd_rawmidi pcmcia snd_seq_midi_event snd_seq ac container snd_timer snd_seq_device iwl3945 video output iwlcore snd mac80211 yenta_socket rsrc_nonstatic pcmcia_core cfg80211 psmouse processor i2c_i801 soundcore intel_agp button evdev i2c_core serio_raw rng_core agpgart rfkill snd_page_alloc ext3 jbd mbcache dm_mirror dm_region_hash dm_log dm_snapshot dm_mod sg sr_mod cdrom sd_mod crc_t10dif ide_pci_generic ide_core ata_piix ata_generic sdhci_pci sdhci firewire_ohci firewire_core crc_itu_t mmc_core led_class libata scsi_mod r8169 mii uhci_hcd thermal fan thermal_sys ehci_hcd usbcore nls_base [last unloaded: scsi_wait_scan]
[  163.804299] Pid: 0, comm: swapper Not tainted 2.6.32-trunk-amd64 #1
[  163.804303] Call Trace:
[  163.804307]  <IRQ>  [<ffffffff8124d58e>] ? dev_watchdog+0xe2/0x194
[  163.804321]  [<ffffffff8124d58e>] ? dev_watchdog+0xe2/0x194
[  163.804329]  [<ffffffff8104dc34>] ? warn_slowpath_common+0x77/0xa3
[  163.804337]  [<ffffffff8124d4ac>] ? dev_watchdog+0x0/0x194
[  163.804343]  [<ffffffff8104dcbc>] ? warn_slowpath_fmt+0x51/0x59
[  163.804351]  [<ffffffff81041bed>] ? enqueue_task_fair+0x24/0x69
[  163.804359]  [<ffffffff8103a5fb>] ? activate_task+0x20/0x26
[  163.804366]  [<ffffffff8104a1da>] ? try_to_wake_up+0x249/0x259
[  163.804374]  [<ffffffff8124d480>] ? netif_tx_lock+0x3d/0x69
[  163.804381]  [<ffffffff81238acf>] ? netdev_drivername+0x3b/0x40
[  163.804388]  [<ffffffff8124d58e>] ? dev_watchdog+0xe2/0x194
[  163.804394]  [<ffffffff8103fb0a>] ? __wake_up+0x30/0x44
[  163.804403]  [<ffffffff8105a245>] ? run_timer_softirq+0x1c9/0x268
[  163.804412]  [<ffffffff810539ca>] ? __do_softirq+0xdd/0x19f
[  163.804419]  [<ffffffff8106fa7f>] ? tick_dev_program_event+0x2d/0x95
[  163.804427]  [<ffffffff81011c6c>] ? call_softirq+0x1c/0x30
[  163.804434]  [<ffffffff810138c3>] ? do_softirq+0x3f/0x7c
[  163.804441]  [<ffffffff81053839>] ? irq_exit+0x36/0x76
[  163.804449]  [<ffffffff810258d7>] ? smp_apic_timer_interrupt+0x87/0x95
[  163.804456]  [<ffffffff81011633>] ? apic_timer_interrupt+0x13/0x20
[  163.804460]  <EOI>  [<ffffffff8102b5b4>] ? hpet_legacy_next_event+0x0/0x7
[  163.804480]  [<ffffffffa009f4ef>] ? acpi_idle_enter_bm+0x26a/0x29e [processor]
[  163.804491]  [<ffffffffa009f4e8>] ? acpi_idle_enter_bm+0x263/0x29e [processor]
[  163.804501]  [<ffffffff8122529b>] ? cpuidle_idle_call+0x95/0xee
[  163.804509]  [<ffffffff8100fe6f>] ? cpu_idle+0xa2/0xda
[  163.804514] ---[ end trace 5d93e39c12569cc1 ]---
[  163.820195] r8169: eth0: link up
[  193.820254] r8169: eth0: link up
[  205.820192] r8169: eth0: link up
[  253.820265] r8169: eth0: link up

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#526983; Package linux-2.6. (Sat, 23 Jan 2010 17:21:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Fonseca <cmfonsec@ualg.pt>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 23 Jan 2010 17:21:21 GMT) Full text and rfc822 format available.

Message #103 received at 526983@bugs.debian.org (full text, mbox):

From: Carlos Fonseca <cmfonsec@ualg.pt>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 526983@bugs.debian.org
Subject: Re: linux-image-2.6.29-1-amd64: NETDEV WATCHDOG: eth0 (r8169): transmit timed out
Date: Sat, 23 Jan 2010 17:16:49 +0000 (WET)
[Message part 1 (text/plain, inline)]
On Mon, 18 Jan 2010, Carlos Fonseca wrote:

> I have just installed linux-image-2.6.32-trunk-amd64_2.6.32-5, and will 
> try to reproduce it with that kernel, as well.

Here it goes.

Carlos


[  588.804125] ------------[ cut here ]------------
[  588.804141] WARNING: at /build/buildd-linux-2.6_2.6.32-5-amd64-9RvY2G/linux-2.6-2.6.32/debian/build/source_amd64_none/net/sched/sch_generic.c:261 dev_watchdog+0xe2/0x194()
[  588.804148] Hardware name: Satellite A110
[  588.804153] NETDEV WATCHDOG: eth0 (r8169): transmit queue 0 timed out
[  588.804157] Modules linked in: i915 drm_kms_helper drm i2c_algo_bit bridge stp bnep sco rfcomm l2cap crc16 bluetooth xt_multiport xt_state autofs4 cpufreq_stats cpufreq_userspace cpufreq_powersave cpufreq_conservative ipt_LOG iptable_mangle iptable_filter iptable_nat ip_tables nf_nat x_tables nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 fuse pcspkr coretemp acpi_cpufreq firewire_sbp2 loop snd_hda_codec_realtek snd_hda_intel snd_hda_codec arc4 snd_hwdep ecb snd_pcm_oss snd_mixer_oss snd_pcm joydev snd_seq_midi snd_rawmidi pcmcia snd_seq_midi_event battery container ac snd_seq snd_timer snd_seq_device video output iwl3945 iwlcore snd yenta_socket rsrc_nonstatic mac80211 pcmcia_core i2c_i801 psmouse soundcore rng_core cfg80211 serio_raw evdev processor button i2c_core snd_page_alloc intel_agp rfkill agpgart ext3 jbd mbcache dm_mirror dm_region_hash dm_log dm_snapshot dm_mod sg sr_mod cdrom sd_mod crc_t10dif ide_pci_generic ide_core ata_piix ata_generic sdhci_pci sdhci firewire_ohci firewire_core crc_itu_t mmc_core led_class libata scsi_mod r8169 mii uhci_hcd thermal fan thermal_sys ehci_hcd usbcore nls_base [last unloaded: scsi_wait_scan]
[  588.804341] Pid: 0, comm: swapper Not tainted 2.6.32-trunk-amd64 #1
[  588.804345] Call Trace:
[  588.804349]  <IRQ>  [<ffffffff8124eeee>] ? dev_watchdog+0xe2/0x194
[  588.804361]  [<ffffffff8124eeee>] ? dev_watchdog+0xe2/0x194
[  588.804369]  [<ffffffff8104dc34>] ? warn_slowpath_common+0x77/0xa3
[  588.804375]  [<ffffffff8124ee0c>] ? dev_watchdog+0x0/0x194
[  588.804382]  [<ffffffff8104dcbc>] ? warn_slowpath_fmt+0x51/0x59
[  588.804390]  [<ffffffff81041bed>] ? enqueue_task_fair+0x24/0x69
[  588.804398]  [<ffffffff8103a5fb>] ? activate_task+0x20/0x26
[  588.804405]  [<ffffffff8104a1d9>] ? try_to_wake_up+0x249/0x259
[  588.804412]  [<ffffffff8124ede0>] ? netif_tx_lock+0x3d/0x69
[  588.804419]  [<ffffffff8123a42f>] ? netdev_drivername+0x3b/0x40
[  588.804425]  [<ffffffff8124eeee>] ? dev_watchdog+0xe2/0x194
[  588.804432]  [<ffffffff8103fb0a>] ? __wake_up+0x30/0x44
[  588.804441]  [<ffffffff8105a249>] ? run_timer_softirq+0x1c9/0x268
[  588.804449]  [<ffffffff810539ca>] ? __do_softirq+0xdd/0x19f
[  588.804457]  [<ffffffff8106fa83>] ? tick_dev_program_event+0x2d/0x95
[  588.804465]  [<ffffffff81011c6c>] ? call_softirq+0x1c/0x30
[  588.804471]  [<ffffffff810138c3>] ? do_softirq+0x3f/0x7c
[  588.804478]  [<ffffffff81053839>] ? irq_exit+0x36/0x76
[  588.804486]  [<ffffffff810258d7>] ? smp_apic_timer_interrupt+0x87/0x95
[  588.804492]  [<ffffffff81011633>] ? apic_timer_interrupt+0x13/0x20
[  588.804496]  <EOI>  [<ffffffffa009f4ef>] ? acpi_idle_enter_bm+0x26a/0x29e [processor]
[  588.804520]  [<ffffffffa009f4e8>] ? acpi_idle_enter_bm+0x263/0x29e [processor]
[  588.804528]  [<ffffffff81226bf3>] ? cpuidle_idle_call+0x95/0xee
[  588.804536]  [<ffffffff8100fe6f>] ? cpu_idle+0xa2/0xda
[  588.804542] ---[ end trace 84d7d31e6a0b75ae ]---
[  588.820207] r8169: eth0: link up
[  600.820205] r8169: eth0: link up

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#526983; Package linux-2.6. (Mon, 01 Feb 2010 01:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcel Meckel <debian@thermoman.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 01 Feb 2010 01:03:08 GMT) Full text and rfc822 format available.

Message #108 received at 526983@bugs.debian.org (full text, mbox):

From: Marcel Meckel <debian@thermoman.de>
To: 496917@bugs.debian.org, 526983@bugs.debian.org
Subject: Soft Lockups in KVM guest related to r8169 transmit timeouts?
Date: Mon, 1 Feb 2010 01:58:25 +0100
Hi,

contrary to my comment 38 in #526983 the issue seems not to be fixed
with latest kernel.

In fact, r8169 transmit timeout on host occurs the same time
as soft lockup in kvm guest occurs. from this time on the kvm
process runs at 100% on the host and programs such as top can't
be started anymore in kvm guest; shutdown of kvm guest doesn't
work eighter, only destroy works.

seems to be triggered when kvm guest has some more traffic than normal.

host:      lenny 64bit, linux-image-2.6.26-2-amd64  2.6.26-21 with kvm-72+dfsg-5~lenny4
kvm guest: lenny 32bit, linux-image-2.6.26-2-686    2.6.26-21

kvm guest started via

/usr/bin/kvm -S -M pc -m 2048 -smp 1 -name foobar -monitor pty -boot cd
             -drive file=/dev/vgdom/foobar,if=virtio,index=0,boot=on
             -drive file=/var/lib/libvirt/iso/grml-medium_2009.10.iso,if=virtio,media=cdrom,index=2
             -net nic,macaddr=54:52:00:00:74:01,vlan=0,model=virtio
             -net tap,fd=22,script=,vlan=0,ifname=vnet4
             -serial pty -parallel none -usb
             -vnc 127.0.0.1:74 -k de

Any ideas?

host systems /var/log/messages

Jan 31 23:42:00 wtf kernel: [977284.375745] NETDEV WATCHDOG: eth0: transmit timed out
Jan 31 23:42:00 wtf kernel: [977284.375745] ------------[ cut here ]------------
Jan 31 23:42:00 wtf kernel: [977284.375745] WARNING: at net/sched/sch_generic.c:222 dev_watchdog+0xa6/0xfb()
Jan 31 23:42:00 wtf kernel: [977284.375745] Modules linked in: iptable_nat nf_nat xt_multiport xt_limit xt_tcpudp nf_conntrack_ipv4 xt_state nf_conntrack ipt_REJECT iptable_filter ip_tables x_tables tun sha256_generic aes_x86_64 aes_generic cbc dm_crypt crypto_blkcipher kvm_intel kvm bridge ext2 f71882fg ext3 jbd mbcache dm_mirror dm_log dm_snapshot dm_mod raid1 md_mod sd_mod ahci libata scsi_mod dock r8169 processor thermal_sys [last unloaded: scsi_wait_scan]
Jan 31 23:42:00 wtf kernel: [977284.375745] Pid: 0, comm: swapper Not tainted 2.6.26-2-amd64 #1
Jan 31 23:42:00 wtf kernel: [977284.375745] 
Jan 31 23:42:00 wtf kernel: [977284.375745] Call Trace:
Jan 31 23:42:00 wtf kernel: [977284.375745]  <IRQ>  [<ffffffff80234a0c>] warn_on_slowpath+0x51/0x7a
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff803cc8f6>] dev_watchdog+0x0/0xfb
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff802354a7>] printk+0x4e/0x56
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff8023cfbd>] lock_timer_base+0x26/0x4b
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff8023d14c>] __mod_timer+0xbd/0xcc
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff802438ef>] queue_delayed_work_on+0xb8/0xc8
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff803cc8f6>] dev_watchdog+0x0/0xfb
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff803cc99c>] dev_watchdog+0xa6/0xfb
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff803cc8f6>] dev_watchdog+0x0/0xfb
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff8023ca7d>] run_timer_softirq+0x16a/0x1e2
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff80239449>] __do_softirq+0x5c/0xd1
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff8020d2cc>] call_softirq+0x1c/0x28
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff8020f3d8>] do_softirq+0x3c/0x81
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff802393a7>] irq_exit+0x3f/0x85
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff8021aa6b>] smp_apic_timer_interrupt+0x8c/0xa4
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff8020ccf2>] apic_timer_interrupt+0x72/0x80
Jan 31 23:42:00 wtf kernel: [977284.375745]  <EOI>  [<ffffffff8021a817>] lapic_next_event+0x0/0x13
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff8021a826>] lapic_next_event+0xf/0x13
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff8042a54d>] _spin_unlock_irqrestore+0x7/0xe
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff8024d814>] tick_notify+0x1e9/0x33b
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff802498fc>] notifier_call_chain+0x29/0x4c
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff8024d2ce>] clockevents_notify+0x24/0x6d
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffffa000828f>] :processor:acpi_idle_enter_bm+0x2d5/0x327
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff803aa804>] cpuidle_idle_call+0x7a/0xb2
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff803aa78a>] cpuidle_idle_call+0x0/0xb2
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff8020ac7e>] cpu_idle+0x8e/0xb8
Jan 31 23:42:00 wtf kernel: [977284.375745] 
Jan 31 23:42:00 wtf kernel: [977284.375745] ---[ end trace c2e0b14640bc17c0 ]---
Jan 31 23:42:00 wtf kernel: [977284.417786] r8169: eth0: link up

kvm guest dmesg (nothing in logs):

[1267143826.640016] BUG: soft lockup - CPU#0 stuck for 1179869831s! [pure-ftpd:4742]
[1267143826.640016] Modules linked in: xfs ext2 virtio_net button ext3 jbd mbcache dm_mirror dm_log dm_snapshot dm_mod virtio_blk ide_cd_mod cdrom ata_generic libata scsi_mod dock ide_pci_generic virtio_pci piix ide_core [last unloaded: scsi_wait_scan]
[1267143826.640016] 
[1267143826.640016] Pid: 4742, comm: pure-ftpd Not tainted (2.6.26-2-686 #1)
[1267143826.640016] EIP: 0073:[<b7e4fa2d>] EFLAGS: 00200202 CPU: 0
[1267143826.640016] EIP is at 0xb7e4fa2d
[1267143826.640016] EAX: a05abd7a EBX: b7f1c124 ECX: 09b3cc00 EDX: 09b40198
[1267143826.640016] ESI: 0000000e EDI: 00000010 EBP: bfc708e8 ESP: bfc708c0
[1267143826.640016]  DS: 007b ES: 007b FS: 0000 GS: 0033 SS: 007b
[1267143826.640016] CR0: 80050033 CR2: 09b3f000 CR3: 379f8000 CR4: 000006d0
[1267143826.640016] DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
[1267143826.640016] DR6: ffff0ff0 DR7: 00000400
[1267143826.640016]  =======================

-- 
Registrierter Linux User #307343




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#526983; Package linux-2.6. (Mon, 15 Feb 2010 00:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 15 Feb 2010 00:54:03 GMT) Full text and rfc822 format available.

Message #113 received at 526983@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Carlos Fonseca <cmfonsec@ualg.pt>
Cc: 526983@bugs.debian.org
Subject: Re: linux-image-2.6.29-1-amd64: NETDEV WATCHDOG: eth0 (r8169): transmit timed out
Date: Mon, 15 Feb 2010 01:53:16 +0100
On Sat, Jan 23, 2010 at 05:16:49PM +0000, Carlos Fonseca wrote:
> On Mon, 18 Jan 2010, Carlos Fonseca wrote:
> 
> >I have just installed linux-image-2.6.32-trunk-amd64_2.6.32-5, and
> >will try to reproduce it with that kernel, as well.
> 
> Here it goes.

Please report this upstream at http://bugzilla.kernel.org (Product:
Drivers, Component: Network) and send us the bug number.

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#526983; Package linux-2.6. (Mon, 09 Aug 2010 18:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Fonseca <cmfonsec@ualg.pt>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 09 Aug 2010 18:57:03 GMT) Full text and rfc822 format available.

Message #118 received at 526983@bugs.debian.org (full text, mbox):

From: Carlos Fonseca <cmfonsec@ualg.pt>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: 526983@bugs.debian.org
Subject: Re: linux-image-2.6.29-1-amd64: NETDEV WATCHDOG: eth0 (r8169): transmit timed out
Date: Mon, 9 Aug 2010 19:22:44 +0100 (WEST)
On Mon, 15 Feb 2010, Moritz Muehlenhoff wrote:

> Please report this upstream at http://bugzilla.kernel.org (Product:
> Drivers, Component: Network) and send us the bug number.

I have just added some additional info to

http://bugzilla.kernel.org/show_bug.cgi?id=14962

which seems to be the same bug (it refers to debian bug 528362, which has 
been merged with this one). Basically, the problem is still present in 
2.6.35-1~experimental.1.

Sorry to have gone silent...

Regards,

Carlos





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#526983; Package linux-2.6. (Sun, 15 Aug 2010 02:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Zach Sadecki <zach@sadecki.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 15 Aug 2010 02:27:03 GMT) Full text and rfc822 format available.

Message #123 received at 526983@bugs.debian.org (full text, mbox):

From: Zach Sadecki <zach@sadecki.net>
To: 526983@bugs.debian.org
Subject: 'official' realtek driver works for me
Date: Sat, 14 Aug 2010 21:26:19 -0500
I had the same problem on my Intel D945GCLF2D board running Lenny.  
Heavy NFS traffic caused the NETDEV WATCHDOG errors.  I built and 
installed the Realtek 8168 driver version 8.018.00 from the Realtek site 
and the problem has gone away.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#526983; Package linux-2.6. (Sun, 15 Aug 2010 16:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Fonseca <cmfonsec@ualg.pt>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 15 Aug 2010 16:03:03 GMT) Full text and rfc822 format available.

Message #128 received at 526983@bugs.debian.org (full text, mbox):

From: Carlos Fonseca <cmfonsec@ualg.pt>
To: Zach Sadecki <zach@sadecki.net>
Cc: 526983@bugs.debian.org
Subject: Re: 'official' realtek driver works for me
Date: Sun, 15 Aug 2010 16:59:36 +0100 (WEST)
Zach Sadecki wrote:

> I built and installed the Realtek 8168 driver version 8.018.00 from the 
> Realtek site and the problem has gone away.

Thanks for the suggestion. I have downloaded version 8.018.00 of the r8101 
driver (my chip is an RTL8101e) from the Realtek site, and have tried it 
with kernel linux-image-2.6.32-5-amd64 version 2.6.32-20.

However, the problem persists: the network card hangs shortly after 
starting a large rsync. The main difference is that dmesg shows nothing, 
but suspending to RAM and resuming fixes it just as with the default 
driver.

In addition, while testing the Realtek r8101 driver, I got the 
following rsync error once, right after enting the password for the 
remote machine:

Received disconnect from UNKNOWN: 2: Corrupted MAC on input.
rsync: writefd_unbuffered failed to write 4 bytes to socket [generator]:
Broken pipe (32)
rsync error: unexplained error (code 255) at io.c(1530) [generator=3.0.7]
rsync error: received SIGUSR1 (code 19) at main.c(1306) [receiver=3.0.7]

On the second try, the network just hung... I am going back to using the 
default driver.

Carlos





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#526983; Package linux-2.6. (Sun, 15 Aug 2010 18:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Zach Sadecki <zach@sadecki.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 15 Aug 2010 18:03:03 GMT) Full text and rfc822 format available.

Message #133 received at 526983@bugs.debian.org (full text, mbox):

From: Zach Sadecki <zach@sadecki.net>
To: Carlos Fonseca <cmfonsec@ualg.pt>
Cc: 526983@bugs.debian.org
Subject: Re: 'official' realtek driver works for me
Date: Sun, 15 Aug 2010 13:01:55 -0500
On 08/15/2010 10:59 AM, Carlos Fonseca wrote:
> Zach Sadecki wrote:
>
>> I built and installed the Realtek 8168 driver version 8.018.00 from 
>> the Realtek site and the problem has gone away.
>
> Thanks for the suggestion. I have downloaded version 8.018.00 of the 
> r8101 driver (my chip is an RTL8101e) from the Realtek site, and have 
> tried it with kernel linux-image-2.6.32-5-amd64 version 2.6.32-20.

FWIW, I'm running a stock Lenny kernel:
zach@mercury:~$ uname -a
Linux mercury 2.6.26-2-686 #1 SMP Mon Jun 21 05:58:44 UTC 2010 i686 
GNU/Linux

I may still be witnessing possibly similar behavior when accessing the 
NFS share on this server (occasional pauses during large transfers).  
But it's not nearly as bad (pauses are much shorter in length), and as 
you said nothing shows up in the kern.log when this happens.  Maybe it's 
just that timeouts/retries are much shorter with the Realtek driver and 
they're hiding their bad behavior by simply not logging it.




Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 18 Jun 2012 16:42:50 GMT) Full text and rfc822 format available.

Marked as found in versions linux-2.6/2.6.35-1~experimental.1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 19 Jun 2012 17:36:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:13:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.